	This file attempts to describe a few of the numerous display
terminals on the market.  If a terminal is supported by either ITS
directly, or by CRTSTY indirectly, then it should be described herein.
We may choose to describe other terminals as well.

	This file does not deal with all aspects of display terminals.  We
are speicifically concerned with those features that affect the terminals
usability with display editors such as Emacs or Unix's ex/vi.  Many of the
terminals we will describe have features which would be of note if we were
considering other applications, such as filling out forms.  However these
features do not generally affect the value of the terminal for use with a
display editor; if anything, they tend to degrade it.

	This file is also distributed with Twenex EMACS as a terminal
buying guide.  A terminal can be supported by Twenex EMACS if it has
cursor positioning, CLEOL and CLEOS; insertion and deletion of lines
and characters are recommended.

Some of the comments here have been aging with time, but still seem valid
as of Dec 1980.  Most of this file and this section in its entirety is
maintained by Charles Frankston <CBF at MIT-MC>.  The opinions expressed
herein are wholly his own.  This is not a complete survey of all available
terminals (the following section is closer to that), it is not even a
comprehensive buyer's guide.  Rather it is designed to point people
quickly toward what I, after what I hope is extensive survey, deem to be
the most reasonable terminals to purchase at this time.  Excuse the
excessive length of this "quick" survey, the issues to be explained are
slightly complex.

This is a quick reference section for those groups or individuals looking
for the proper terminal to buy.  The user is specifically presumed to be
interested in a terminal for use with a display editor such as Emacs.  The
terminal reviews mention the state of software support of a particular
terminal on the ITS systems.  However, in reviewing a terminals features
we try to point out whether a terminal has features, that though not
required by ITS currently, might someday be useful, or ought to be useful
by other editors of simlar philosphy.  Ie. ITS has no use for extra pages
of memory in a terminal, but Berkely Unix's ex/vi editor can make use of
the feature.

To begin with any terminals that do not use the ASCII character code, any
that do not display all printable ASCII graphics (ie. upper and lower case)
will not be given serious consideration in this review.  In addition it
is essential that there be a way of generating all 128 possible character
codes from the keyboard.  Sometimes, an otherwise decent terminal seems to
miss a code or two, in which case it will usually be mentioned in the review.

To be used for display editing purposes a terminal must have certain
capabilities of cursor movement and screen modification.  In addition to
the required capabilities there are some desirable capabilities which
generally serve to improve the bandwidth of an editing session.  Different
system software may be prepared to compensate for various missing
capabilities.  For example on ITS the CRTSTY program is capable of using a
terminal with the most minimal capabilities, whereas direct ITS operating
system support (sometimes called :TCTYP) support, demands certain minimum
functions be available.  Multics Emacs and Twenex Teco terminal will both
attempt to support nearly as minimal a terminal as ITS CRTSTY, however,
Twenex Teco does not try nearly as hard to send the absolute minimum
number of characters to acomplish the job.

The most minimal capabilites necessary for support by ITS CRTSTY are
simply the ability to randomly position the terminals cursor anywhere on
the screen and the ability to use the cursor to erase or replace
characters on the screen.  Note that random cursor motion does not mean
the terminal needs a code to specifically position to some absolute place
on the screen; it is sufficient if there are codes to move the cursor in
any of the 4 directions.  The system can figure out how to get anywhere it
needs using this.  Of course "absolute positioning" capability is a
desired feature, since it often takes fewer characters to get someplace
that way (ie. improves "bandwidth").  Similarly, there needn't be any
commands to specifically erase portions of the screen.  CRTSTY knows how
to use spaces to erase characters if the terminal has no erasure commands.
However this is extremely poor in terms of bandwidth and is only for the
most patient people, preferably connected at high speed.  For support by
the system, the terminal should have minimum of the ability to clear from
the cursor to the end of a line (called "CLEOL"), and the ability to clear
from the cursor to the end of the screen (called "CLEOS").  CRTSTY usage
puts an extra load on the system and slows down user typeout and response
in general [see CRTSTY (INFO;CRTSTY).].

In addition to these rudimentary features, there are 4 features commonly
found for shifting text on the screen which are greatly desired for
improving bandwidth.  They should be considered essential for anyone
operating 2400 baud or less, especially 300 baud!  These are the
ability to insert a line in the middle of a screen and have the rest of
the lines on the screen "ripple" downward (the bottom line disappears),
the ability to delete a line and have all lines beneath move up one
line (the bottom line should preferably be blank then) and the analagous
operation for characters, inserting a character and having all characters
to the right of the cursor shift rightward one character (and hopefully
disappear if the right edge overflows, not wrap to the next line!) and
the ability to delete a character in a line and have the rest of the
characters in the line shift left 1 column (but not the next line!).
These are usually called line insert, line delete, character insert
and character delete (I may often just say line/char ins/del).  It
used to be that these functions only appeared in the more expensive
terminals, however lately terminals costing apx. $1000 have begun to
have these features.

Similarly, some of the cheapest terminals on the market (for example, the
ADM-3A) lack some of the features mentioned, such as CLEOL.  DON'T BUY
ONE.  There are terminals as cheap or cheaper that do offer such features,
and they will make life much more comfortable.

With this introduction, I am going to list, in order of increasing price,
ONLY THOSE TERMINALS WHICH I BELIEVE ARE WORTHWHILE LOOKING INTO.  I will
list few details here, you should peruse the individual entry for each
terminal that interests you.  There is a second section on terminals I do
not recommend buying, but which are listed because many people have asked
me about them and I want to explain the reasons for a non-recommendation.

At the end of each entry I state whether a terminal is supported by ITS or
not.  Unless it is stated otherwise, one can assume that a particular
terminal is either supported, or presumed to be easily supportable by
CRTSTY.  If there is a particular problem CRTSTY has in supporting a
terminal though, I will mention it, because only a gross misfeature could
make CRTSTY give up on something.  There is a problem insofar as many of
the terminals I have listed as being most cost-effective are fully
supported by ITS right now.  This will clearly have to change in the
future.  Clearly whichever of these terminals becomes popular will become
candidates for full support.  If the terminal you choose does not become
popular it will likely not be supported because each supported terminal
takes up a considerable amount of space in the resident system.

Note that some of the newer editing/terminal support systems, such as
Multics Emacs and Berkeley ex/vi seem to have the same
requirements/performance tradeoffs as CRTSTY.

Lastly, a note on prices.  Things are not as firm as they used to be.
Dealers are marking many of these terminals down.  If you want to get more
up to date info than I give here, you might be well advised to thumb
through the ads in the latest issue of Byte magazine.  Remember though, it
might be worth a few extra dollars to buy from a local dealer who'll be
more responsive to your problems than a mail order house.

$750-$900 Microterm ACT-V, MIME
There are actually two flavors of MIME nowadays and an ACT-5A.  Microterm
seems to be moving into the business of making a full line of terminals at
the low end of the market that will emulate all the other terminals at the
low end.  As far as our critirea are there is little difference between
them.  Thehigher price models mostly buy you a wider emulation set and
more function keys.  Unfortunately their terminal introdcutions has
outpaced the rate at which reviews have reached your reviewer. Based on
past experience the machines are reliable, but tend to lack such amenities
as N-key (or even 2 key) rollover.

$900? General Terminal Inc 100 series (formerly Infoton 100)
The original Infoton 100 had some glitches, like non-standard keyboard
layout; also char i/d was a $50 option.  The glitches mostly seem to
have fixed, though I still don't like their keyboards much.  There is now
a family of GTI 100, 101 etc. and I'm no longer sure of the pricing
options.  They might be worth looking at nowadays.

$695-$995 Heath H-19
The $695 is for the kit, $995 assembled.  It is another VT52 superset
terminal.  Adds line/char insert/delete.  Has fairly respectable keyboard
(not detachable) with 2+ key rollover.  Sensible mechanical construction.
Also, has an "ANSI" mode that corresponds to the new ANSI standard (BSR
X3.64-1976).  Problems with padding at high speeds though, not serious,
see detailed writeup.  This seems to be the best bet in this price range
nowadays.

$1000-$1095  Teleray 1061
VT52 superset with char/line insert/delete.  Is completely supported by
ITS, including optional Meta key (:TCTYP T1061,+%TPMTA).    The company
has been highly responsive to suggestions.  You probably want to order the
"SIPB Proms" or "Arpa" with it.  It will probably never support a usable
highlighting mode (ie. reverse video or the like).  There is a mailing list
of users, T1061-FANS@MIT-MC.

$1170-$1300 Ann Arbor Ambassador
One of the first "real" (reasonably-sized screen of 48-60 lines, very
little padding requirements, etc.) terminals to appear on the market.
(And let me emphasize as of Dec 1980, still the only one on the market.)
Initial evaluations look very good.  See the writeup for more details.

$1400 Human Designed Systems Concept-100
Probably the most featureful terminal on the market for less than $5K.
(Including good attempts at support for underlining and windowing).
They recently made 4 pages of memory standard and the case prettier.
Keytronics keyboard with a clicker has good feel.  The packaging still
does not inspire confidence.  This terminal would seem particularly
desirable for those also into forms-filling lossage.  In fact, it is
credit to the generality of the design that it does so well at so many
things.

$1300-$1700 Hzeltine Executive 80
This is an attempt at a higher class entry from a company whose products
usually have not impressed me.  This one looks better though.  There
more expensive model gives one a 15" exceptionally readable screen and
132 column capabilities.  Has all the usual features, a good quality
detachable keyboard and supports the ANSI BSR 3.64 terminal standard
more completely than the VT100.

$1450 Hewlett Packard 2621
Has all the useful features.  Worst problem is Delete being shift Escape.
There have been conflicting reports about the feel of the keyboard.

$1350-$1520 IBM 3101
The higher price is with insert/delete, but it only works in block mode,
which is useless.  Another problem is location of control key (called
"Alt") to the right of the space bar.  It has a good quality keyboard, as
you might expect from IBM, but overall one can do better for the money.
Also, a very legible display, although Green (P39) phospher.  Note this IS
an ASCII terminal.

$1500-2000 DEC VT-100 & imitators
There can be a wide variance in price depending on whether you are buying
the real DEC model and through whom, or an imitator.  Big feature is 132
column capability (only 14x132 unless you buy "Advanced Video Option"
$270).  No insert/delete capability, but the "scroll region" capability is
actually more general and can be used to simulate; but no char
insert/delete.  The imitoators (Datamedia, Plessey, Microterm,
Datagraphix, C.  Itoh, Direct, is probably only a partial list). generally
give you the advanced video option standard, and sometimes one or two
other features (most interesting perhaps is Datagraphix which has a very
sharp 132 columns).  If you want a VT100 I advise looking up some of these
companies and compare the emulators.  You might save some money or get
some more features by reaping the benefits of free competition.

There are many terminals available beyond this price range, but it is my
opinion that they offer no readily discernible advantages over the ones
presented here WITH RESPECT TO THE CRITERIA OUTLINED ABOVE.  If you feel
you need special capabilities for some reason, then other factors may well
outweigh the ones judged important here.  For example, none of these
terminals offer graphics capabilities.  If you are looking for something
dual purpose of that nature, you will probably need to scan all the
terminal descriptions, and even that may not be complete enough or
enlightening enough.

Various others ranging from NOT RECOMMENDED to PERHAPS WORTH LOOKING INTO:

$800 or so. Perkin-Elmer Bantam PERHAPS WORTH LOOKING INTO
Does not have any insert or delete operations.  Probably better than
FOX though.  The official quantity 1 price may be higher than this, but
I don't believe many customers actual pay it.

$850 TVI-912 and TVI-920	 PERHAPS WORTHWHILE
This company widely advertised a terminal that listed all features back in
September 1978.  They apparently took a long time actually getting working
models on the market.  The complaints mostly center around the keyboard
now, which has a very light touch and typamatic.

$900 or so.  Intertube		NOT WORTHWHILE
Again, widely advertised for a long time.  This one was actually built
eventually.  Most of the terminals functions are useful only locally, not
remotely.  I have also heard more reports of vendor being uncooperative,
terminlas not working etc. on this than any other terminal.

$900 or so.  Hazeltine 1400	NOT WORTHWHILE
Has practically no features including no lower case.

$1000	     Hazeltine 1410	EH?
Falls in features, price and worthwhileness between to 1400 and 1500?

$1100 or so. Hazeltine 1500	PERHAPS WORTHWHILE
Has most features, incl line insert/delete, but not char insert/delete.
Has a non-standard and somewhat mediocre quality keyboard though.  Mostly,
just doesn't as cost-effective as other alternatives.

$??? SouthWest Technical Products CT-82  NOT WORTHWHILE
This terminal is very bizzarre.  Has 128 different control functions
(wonder where that number came from), most of them useless.  Funny screen
sizes (choice 16x82, 20x82, or 22x96 upper case only?) on a minicscule
screen (9" diagonal).  The denser arrangements are reputed to be unreadable.
Keyboard has no rollover.

SAMPLE	Sample Terminal to show format of terminal documentation.

Status:	Says whether terminal is supported by system, CRTSTY or just
	here for informational purposes.
Users:	Those people who actively use the terminal and can probably
	supply more information about it.
Price:	The best guess as to the current purchase price.
Screen:	size of screen, color of phospher if known etc.
Chars:	size of dot matrix used for characters
Keybrd: Evaluation of keyboard feel.  Should say if detachable, how much
	rollover, and if it is typeamatic (repeats when a key is held down).
	Might also mention whether keyboard layout corresponds to either
	bit paired (model 33 Teletype, ADM-3A) or typewriter paired
	(VT-52, HP2621, C100, Office Selectric Typewriters) layouts.
	Most keyboards use one of these two layouts for the keys closest
	to home position.  There is unfortunately far less standardization
	on the placement of keys like Return, curly brackets, rubout, tab,
	or the control key.
Speeds:	Communications speeds in baud; mention if split.
Has:	Those features that the terminal supports with hardware operations;
	can be:
	Random		Random cursor movement (really a necessity)
	Addr		Direct Cursor Addressing
	Tabs		Fixed or settable 8 column tabs
	CLEOL		Clear to End of Line
	CLEOS		Clear to End of Screen
	InsChar		Insert Character
	DelChar		Delete Character
	InsLine		Insert Line
	DelLine		Delete Line
	Standout	Some form of highlighting text on screen.
			(Eg. reverse video, blinking, differing intenstity)
	Overstrike	Actual overstriking of characters.
Lacks:	Presumably whatever from the list doesn't appear under Has:
Misfeatures:	"Extra" goodies that manage to get in the way.

There may follow a few lines of comment, followed by perhaps the culprit(s)
most responsible for the entry and the date on which is was last updated.

	Microterm ACT-IV A & B

Status:	Supported by ":CRTSTY ACT-IV"
Users:	RAM
Price:	ACT-IV A: $550 (A is without monitor)
	ACT-IV B: $880 (B is with monitor)
Screen:	24 x 80
Chars:	5 x 9 (in a field of 6 x 10)
Keybrd:	fair
Speeds:	...,19200
Has:	Random, Addr, Tabs, CLEOL, CLEOS, Standout
Lacks:	InsChar, DelChar, InsLine, DelLine, Overstrike
Misfeatures:	no insert/delete line/character commands
		in standard unit.

a)  For $50, they are willing to supply a new ROM with the control-
    codes reassigned.  Note that they ARE willing to include remote
    functions for insert/delete char and line, and for tab (it's a
    fixed 8 column tab ... but still better than naught.)

b)  The engineer (Tom) warned me, and I saw it for myself, that the
    insert/delete line functions are rather slow.  Depending on the
    amount of data on the screen, you can sometimes actually see
    the data "scroll" down or up over a finite interval (100 ms or
    so?)  The explanation for this is lengthy, but technically
    acceptable as a questionable design decision.  He admits that there
    are othe ways of doing it, and understands the problem with the
    current method.  He implys that in a month or so he'd be willing
    to supply with a new control ROM (they apparently use 2708s
    throughout) which would implement a different system as a test of
    feasibility.  (The basic problem is that they didn't want to
    blank the display, so they use the current method to avoid the
    screen from "flashing" with the change.  Since the ins/del operation
    would be about 100 times faster under the easiest alternative, it
    is unclear whether or not the overall effect would be disconcerting
    or not.  They never tried it.  However, as I say, he seems pretty
    reasonable about the whole thing.

c)  The unit uses an F8 microprocessor.  The code is in F8 assem.
    For 25 bucks, they'll sell a complete technical manual with all
    the schematics, timing diagrams, logic flows, program listing with
    comments, etc.  Right now the program is in 1K with about 20 bytes
    free, though supposedly in 3 months or so they will come out with
    a new board which will have 2K capacity.  (Obviously, the dedicated
    hacker could add another K now if he really wanted to.)  The
    willingness to give out the program listing and discuss modifications
    is really pretty rare in my experience.  The 2K version will also
    have protected fields (useless to me.)

d)  The unit appears to have virtually no serious speed problems in
    its basic state (not counting the ins/del stuff mentioned above,
    which is not basic state.)  I believe that one or two operations
    require one null of padding at 19,200 baud or some such.  The
    processor apparently uses a UART for character disassembly instead
    of doing it in code (a definite win, as the superbee experience
    proves) and simply ignores data from the UART while working on
    internal operations.  Thusly, padding causes no problems (and
    shouldn't be too bad for ins/del either ... though it would have
    to be calculated if you wanted the minimum delay.)

e)  Glitch.  The unit I saw had a typical cursor glitch.  Whenever the
    cursor is in the lefthand column (col. 0) a small, rather faint
    image of the cursor appears over on the right (about two dots wide,
    not full cursor width.)  Apparently they all do it.  When I asked
    about it, Tom offered two explanations for me to choose from:
    the sales explanation and the truth.  The sales explanation is that
    it provides verification that the cursor is all the way at the
    lefthand column.  (If anyone wants to buy that, I have some swampland
    in Jersey I'd like to talk to them about.)  The truth:  it's a
    glitch!  It's a hardware problem, a bear to solve (I know the feeling,
    I've fought them myself) and not worth it for a terminal which is,
    after all pretty damn inexpensive.  Basically it was not particularly
    annoying, but I did see it.

The preceeding evaluation is from Lauren@UCLA-Security.

	I've used one at home for 3 months with surplus monitor and
speed aside I'm content.But negotiations for quantity 3-10 purchase
leave me with impression that they're still in the little leagues.
					.... RAM 2/13/78

ACT-V	Micro-term ACT-V

Status:	not yet supported.
Users:	??  Based on preliminary information - no users yet.
Price:	$865 quantity 1, $650 quantity 25  -  add $30 for non-glare screen.
Screen:	24 x 80 or switch selectable to two columns 24 x 39.
Chars:	5 x 9 matrix, true descenders.
Keybrd:	see comments.
Speeds:	110...19200
Has:	Random, Addr, Tabs, CLEOL, CLEOS, Standout (intensity), Underline.
	InsChar, DelChar, InsLine, DelLine are available from the keyboard.
	It is not clear yet, if they are available from the host computer.
	(see the ACT-IV on this same issue).
Lacks:	Overstrike
Misfeatures: see comments.
Available from:	Micro-Term, Inc.; P.O. Box 9387; St. Louis, MO.; 63117
Comments:
	Thus far, the reports have been somewhat conflicting:

RPOOR 10 Nov 1978
     It appears that MicroTerm is breaking out of the hobbyist market.
This terminal comes in a reasonable looking case.  It has lots of features:
printer interface, transmit line, transmit screen, numeric keypad, cursor
control keys, request character at cursor, display control codes.
     Some folks at SLAC have been in posession of MicroTerm's MIME-I, and
were impressed with the feel of the keyboard and the clarity of the display.
     MicroTerm keyboards seem pretty good.  This one has auto repeat on the
space, period, and cursor keys, and a separate repeat key for the others.  For
IBM keypunch fans, has 'NUM' key which puts the numerics above the j,k,l,u,i,o
keys (of dubious value). If  that's not to your liking, it does have a separate
keypad.  It can produce all 128 ASCII codes (I approve).
     Haven't seen a ACT-V yet (07-Nov-78), but a demo is coming soon and I
will report further then.
-------

Date: 13 Dec 1978 1310-PST
From: Mo at SRI-KL
Subject: Micro Term Act V
These are some of the obvious problems we saw with the current design:
1)  All features which work in local mode only should work in remote
    mode.
2)  Underlined lowercase letters with descenders look horrible -- j,g, q
    They didnt do it quite right.  Either take the feature out or do it right-
    doing things half assed is silly.
3)  Num key is the most incredibly stupid idea I have ever seen in 8 years
    of computer work, especially with the separate pad right there.  Gas.
4)  The graphics on the keytop for unshifted = looks like an underline
    when in fact it is a minus (-) sign.
5)  The keypad should either have a comma or a space key nearby, or both.
    How are you going to separate numbers without using the other hand?
6)  The screen wavers with the insert/delete features.  A little is acceptable,
    but the amount these things wiggle is very distracting.
7)  Bell should not end character insert mode.
8)  The lowercase character set is a bad choice.
Now, things that should be done to make it acceptable as a Datamedia replacement
include:
An Edit key.  Prefer two of them, near the space bar, double length.
Pay the extra dollars and use a better keyboard.  Cherry or Micro switch
keyboards feel much better and last longer.
The internal layout is the worst.  Why did they put the board right next
to the crt yoke when it looks like to mount the thing on the side would
have required no additional anything-- just a remount.
Use a better lowercase -- Datamedia's is the nicest I've seen.

ADM2	Lear Siegler ADM-2

Status:	Supported by ":CRTSTY ADM2".
Users:	LRH, CFFK
Price:	somewhere in the $1600 range, you should probably negotiate.
Screen:	24 x 80, P4 (white) phosphor
Chars:	5 x 9 (in a 7 x 11 field)
Keybrd:	Apparently good.
Speeds:	110,150,300,600,1200,2400,4800,9600
Has:	Cursor, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine, DelLine,
	Standout (Reverse; blinking & half intensity available but not used)
Lacks:	Overstrike
Misfeatures:	Escape key does not transmit until 2nd character is pressed.
		2 Escapes however will transmit as one.
		There seems to be an option available from the manufacturer
		that might fix this, but it is reported the fix has
		side effects worse than the bug.
Vendor:	See ADM1

Escape misfeature is found  annoying, otherwise users seem
to like it.  It used to be priced competitively for features.

CBF 5 March 1978

ADM3A	Lear Siegler ADM-3A

Status:	:CRTSTY ADM3A tries real hard, but at slow speeds you might
	be happier with :TCTYP GLASS
Users:	Lots of people.  Its cheap.
Price:	about $800, look for ads in Byte etc.
Screen:	24 x 80
Chars:	5 x 7 without descenders.
Keybrd:	actually sort of usable
Speeds:	...,19200
Has:	Cursor, Addr
Lacks:	CLEOL, CLEOS and everything else.
Misfeatures:	interprets some control code to lock keyboard. (Diasablable
		by a physical switch on the terminal).
		Is missing enough features to qualify as misfeatured.
Vendor:	See ADM1, also every computer store, Byte magazine.

Two virtues are being cheap and fast.  On the scale of things its not as cheap
as it used to seem.  However, there still aren't many terminals that can
stand up to a continues 19,200 data rate.  Also, being made out of a lot of
discrete parts improves chance for doing ones own maintainance or extension.
However, useing as an ITS display at less than 4800 baud is an excercise for
the infinitely patient.

CBF 5 March 1978
CBF 8 March 1980

Status: Supported by ":CRTSTY ADS980".
Users:	BYRON
Price:	About to be discontinued and replaced by new "Regent" series.
Screen:	24 x 80
Chars:	?
Keybrd:	Poor-to-fair.  TTY-style keyboard but advantageously has
	all controllifiable characters on separate keys so that
	<CTRL>-<SHIFT> is never necessary.
Speeds:	?
Has:	Random, Addr (not supported), Tabs (5 columns!),
	CLEOL (CR clears to end of line and does carriage return),
r	InsLine, DelLine, Standout.
Lacks:	DelChar, InsChar, CLEOS, altmode key (!)
Misfeatures: DEL and underscore exchanged

The terminal also has "graphics" capability with 160 by 72 resolution,
and two local "editing" modes which are useless on ITS, but are useful
on line-at-a-time systems.  The number pad may be selected to send
escape sequences rather than digits:  <alt>-<digit> is sent instead of
<digit>.  This is used by CRTSTY to simulate Altmode, Meta-, Ctrl, Top-,
and Call, as well as to toggle the graphics and standout features.

	Ann Arbor "Ambassador"

Status:	Supported by Twenex EMACS, ":CRTSTY AAA", and TED (the TOPS-20
	CLU based editor).  See comment at end of node for recent info.
Users:	MIT EECS department has two production units for testing over the
	next couple of months; Rand has a few pre-production units, complete
	with bugs.  The following comments are mostly the fruit of MIT's
	experience.
Price:	Compact box, $1300 single unit; bigger box, $1430 (no difference
	inside); compact box is designed to be carried.
	7 terminals get you a 5% discount, 16 gets 10%, 31 gets 15%,
	etc.  That makes 25 terminals cost $1170 each, for example (I'm
	referring to the cheaper box version only; it's more compact and
	less Captain Marvel-looking).  Price with MIT P.O.: $1170 in any
	quantities (we worked out a special deal).
Screen:	60 lines max by 80 characters; P39 high-retention green phosphor;
	large 15" diagonal screen; very readable even at 60 lines.
	Has "zoom" feature, allowing 60x80, 48x80, 40x80, 36x80, 30x80,
	28x80, 24x80, 20x80, 18x80 (maybe one or two more) format (it
	changes from non-interlaced to interlaced at some level like
	36x80).  At 60 and 48 lines, I think there's only one scan line
	between lines, which makes it seem a bit cramped, but it's still
	quite readable.  Inverse video mode makes it more readable at high
	densities.
Chars:	7 x 7 when more than 40 lines on screen (not sure of boundary),
	9 x 9 otherwise.
Keybrd:	2-key rollover, good tactile feel (highly subjective, of course).
	(The next version will have n-key rollover, they claim.)
	Detached keyboard, uses funny ribbon cable; typeamatic (*),
	keyclick (*), typewriter-paired.  (*) = can be disabled.
	Non-typewriter keys well-laid-out, looks somewhat like:

	      -- function keys, local editing keys --

		ESC  - numerics, etc.  -  BREAK	  plus
		TAB -standard qertyuiop- LF BS    your
	       CTL CL -    etc       - RET RUB	  basic
	       PAU SHFT  -          - SHFT UP DN  keypad

	where CL is Caps Lock, PAU is Pause (sort of XOFF/XON toggle),
	and UP, DN are explained below, I think.
	Has 12 down-loadable shiftable function keys (for a total of
	24 if I might be so bold to calculate) above the major grouping,
	with another 3 settable on the keypad; total function key storage:
	256 bytes (to be arbitrarily distributed among the keys).
	The rest of the local editing keys aren't down-loadable.
Speeds:	all standard to 19.2KB, not splittable
Has:	everything; ANSI standard with extensions.
	Standout modes: reverse video, underlining, blinking, bold, blank,
	in all combinations (this is implemented by storing 12 bits
	for each character, so, e.g., you can't complement the screen
	easily---this feature should be trivial to add in hardware by
	XORing the high order bits during display).  However, any
	erasing operations (such as kill to end of line) set the
	erased region to spaces in the current standout mode, so just
	setting it to reverse video and typing ^L to your editor flips
	the whole screen (unlike Heath's, which always kill to
	blanks).  A crude, probably useless, form of windowing (see
	below).  No padding requirements at 9600 baud for all
	functions we tried, except for screen clear.
Flow control:
	XON/XOFF, settable, but, interestingly enough, you can download
	the characters that get sent for XON and XOFF (up to four for each
	function).
Lacks:	True overstriking.
Misfeatures:
	The keyboard is only a two-key rollover design (seems to
	actually be a hardware limitation, not the result of software
	scanning).  One of the two keyboards at MIT is awful, and one
	is barely acceptable for a touch typist.  P39 phosphor is VERY
	high-retention and thus scrolling is too streaky for words.
Vendor: Ann Arbor Terminals, Inc., 6175 Jackson Road, Ann Arbor,
	MI 48103.  313-663-8000.  10 sales regions, Boston area
	rep is Digital Sales Assoc's, 9 Spring Street, Waltham,
	617-899-4300 (ask for Art Dempsey).  See below for service
	information.

It's a full ANSI-standard terminal, driven by a Z80, with a battery-
backed-up CMOS memory inside to store settings; it has a VT100-like
"setup" mode, with 4 separate mode groups to deal with.  The 15-inch
screen is truly nice; even at 48 lines, it doesn't look too cramped;
it does look extremely wide.  At 60 lines, it's a matter of taste
whether it's readable or not.

It has full print and copy features through an auxiliary port, if
you're interested in that kind of thing.  It has block mode sending,
etc.  They actually seem to have done it right, e.g., you can have
nearly all flavors of printing and copying happening through the
printer port, which operates asynchronously at any speed.

The screen format is pretty interesting: it's always 80 characters
wide, but as you step down from 60 to 48 to 40 to 28 to 24 to 18 (or
some such sequence, I forget), the lines get farther apart and the
characters get slightly bigger (they use two dot matrices: a 9x9 and a
7x7).  The UP and DOWN keys next to the right SHIFT key are used in
conjunction with CTRL to shift the window (locally) up and down a line
or to zoom out and in when CTRLified (the host can also zoom).  Don't
know how useful this is or how confusing it might get if you somehow
zoom around by mistake.  It has some notion of 3 "screen areas" which
are totally settable; they refer to them as the "upper host area",
"middle operator area" and "lower host area"; I suppose they're useful
in some kind of special application mode.  It does appear that you can
position the "operator" (middle) area and use insert/delete line to do
pretty much arbitrary region scrolling like the VT100.  However, since
it has insert/delete line, it is probably not worth doing region
scrolling that way.

Nearly everything is settable from either the keyboard (in setup mode)
or from the other side of the communications line (e.g., a host
machine).

It has a few interesting features, such as Push and Pop Line, which
let you shove any number of lines down to the bottom of the screen
(remember, all 60 lines are considered part of the screen), or pull
them back up to any point; I suppose this can be used as a way of
moving lines around on the screen arbitrarily by pushing them to the
bottom from a cursor position, moving somewhere else and popping them
back.  It has an erase-character-under-cursor feature just like ITS
loves.  Seems to have a "justifying tab" (?)  You can push and pop the
cursor position, like on the H19, which is pretty useful if you don't
want to remember where you were but want to get back there later
(e.g., mode line hacking).

At 9600 baud, it seemed to need NO PADDING for even the hairiest
"insert n lines" functions, which makes it another first; even the
hardwired DM2500 requires some padding for insert/delete line.
[Later, when adding Twenex EMACS support, we found it needed some
2-400 ms of padding or waiting for a full screen clear.]  It can go
at up to 19.2Kb; it'd be interesting to see what it looks like at that
speed.  (One interesting psychological fact: at 9600 baud, 60 lines on
the screen, full-screen refresh looks a lot slower than on standard
terminals, for obvious reasons.)

Ann Arbor has always had a reputation of building sturdy products.
They've gotten a somewhat black name from places that bought custom
terminals, such as BBN, and modified them even further; AA could never
keep up the documentation for over 50 different versions of TTL logic
boards; they claim it'll be different this time, since they aren't
customizing the Ambassador.  The hardware "theory of operations"
manual looks reasonable.

The Ambassador in the "E" has only one CPU board (piggybacked by a
smaller board) and one power supply/CRT electronics board), and their
early-life failure rate is claimed to be very low (they burn them in
at 50 degrees Celsius for a week).  They only have self-maintenance,
which helps explain why their overhead is so low and they can keep
their prices down.  The current service theory is that you return a
bad card (or whole unit if you're stumped) and they will return it
within 5 days, fixed, for "usually less than $100 per card or $200 per
terminal".  You can also get 24-hour turnaround if you're willing to
pay a $200 premium.  If you buy more than a few terminals (10, say)
they will give you a free, full-day maintenance training session (you
get to fly to Ann Arbor, of course).  They have an extended year's
warrantee which costs $130 per terminal and which covers any repair
costs for the first year of life.

The keyboard feels quite sturdy and everything is housed in metal
casing; the smaller-box version is rather compact and both the
terminal and the keyboard are housed in lightweight, very sturdy
plastic cases.  I don't know how the keyboards themselves they'd hold
up under heavy abuse, but I will wager they're not as fragile as
VT100s.  (The keyboard cable is a flat ribbon, fairly durable-looking
frob, but it's raised some eyebrows of people who've seen it.)  I
pinned them down on the question of keyboard scanning, seeing the way
that Teleray lost initially with the T10's, and they said the keyboard
was scanned 100 times a second, with interrupts off, so there was no
possibility of losing typed characters due to high screen activity.
They said they hadn't heard of n-key rollover (sigh) until recently,
and that it wouldn't be possible until the second version of the
Ambassador (but at least they admitted it was a good thing).  Still,
with 2-key rollover, it isn't awful.  [I had no complaints about the
keyboard, but I don't touch type - EBM.]

As far as ucode fix distribution goes, they're willing to send new
PROMs if you find gross bugs that prevent you from doing your job
with the terminal.  It's not clear what happens with bugs of the form
"when you print 8 asterisks, backspace 3 times, sneeze, and then go
into inverse video mode, the screen glitches"; they will probably not
send out PROMs for such obscure problems.

They only come with a P39 phosphor, which is a very green,
high-retention phosphor; this means it blurs and streaks quite a bit
when scrolling; at MIT-EECS, we run them in wrap mode so they don't
scroll, but this is a local Twenex feature only.

Rand Corporation, which evaluated them, has complained about a
particularly bad 15KHz whine which bothered their secretaries (one of
the students at MIT complained about it, too); Ann Arbor claims
they've fixed that. [Latest update: the whine is still noticeable.]

All in all, looks like a nearly-complete win if you want the screen
size, balanced by the blurring and keyboard lossages.

  --CPR, EBM, Saturday, 13 September 1980
	      Wednesday, 1 October 1980
	      Thursday, 11 December 1980 (after three weeks using them)

The marketing manager (Sarah Freeman of Ann Arbor) is now quoting
12 week delivery on a version including N-key rollover and an
option to have the PAUSE key act as a Meta key (ie. 8th bit
shift).
  --CBF 8 April 1981

	Perkin Elmer Bantam

Status:	not supported yet.
Users:	MIT Architecture Machine Group, LSP@ML, RK@MC
Price:	You should be able to negotiate $600 to $800 depending on quantity.
Screen:	24 x 80; 12" diagonal; P4 phosphor
Chars:	5 x 9 in a 7 x 10 field.
Keybrd:	Has at least 2 key rollover, fair feel, non-detachable
Speeds:	110, 200, 300, 600, 1200, 1800, 2400, 3600, 4800, 7200, 9600
Has:	Addr, Random, Tabs (fixed every 8), CLEOL
Lacks:	CLEOS, InsChar, DelChar, InsLine, DelLine, Overstrike
Misfeatres: ?

Basically a Fox with a somewhat better keyboard reengineered for cheaper
mass production.  Physically much smaller.

	Control Data Corporation 713

Status:	Supported by ":CRTSTY CDC713".
Users:	DPR
Price:	forgotten in the dawn of time
Screen:	16 x 80
Chars:	7 x 9 with descenders
Keybrd:	rotten
Speeds:	110,300
Has:	Random, CLEOL, CLEOS, Standout
Lacks:	Addr, Tabs, InsChar, DelChar, InsLine, DelLine, Overstrike
Misfeatures:	300 baud maximum speed!

CBF  8 March 1978

Status:	:TCTYP C100
Users:	RJL@AI, GSB@ML, BYRON@ML, CEH@MC
Price:		  1-9	10-24	25-49	50-99	Educational discount
		$1575	$1418	$1339	$1261	equivalent to 1 quantity level.
	APL:	$1750	$1575	$1488	$1400	APL really means overstrike
	Most MIT people have been quoted $1400 for the non-APL one right now.
Screen:	24 x 80, P4 (white) phosphor, 12" diag 9"x6" tilt and swivel adjust.
Chars:	8 x 12 in 10 x 12. The 7th and 8th columns of each character repeat
	what is in the 6th column.  This can somewhat inhibit doing graphics.
Keybrd:	Detachable, has a clicker.  Layout is close to VT52 with a big return
	key, Control where VT52 has Caps Lock.  Most found feel acceptable,
	several thought it was very good.
Speeds:	50,75,110,134.5,150,300,600,1200,1800,2000,2400,3600,4800,7200,9600
Has:	Random, Addr, Tabs, CLEOL, CLEOS, InsLine, DelLine,
	Standout, 1 level Overstrike (only with APL option).
Lacks:	InsChar, DelChar, more than 1 level of overstrike.
	[Current models have the fix that gives InsChar and DelChar].
Misfeatures:
	Cannot keep up at 9600 baud.  This is due to marginality of Z-80 DMA
	chip and may be fixed as of March 1979 or so.  I believe HDS's
	stated policy is to replace it free upon request at that time.
	The list of misfeatures on this terminal has become a moving target,
	due to the policy of this company to try fixing them and often
	distributing new firmware releases free (they have claimed they will
	start charging a fee soon though).  It actually has InsChar and
	DelChar, but they're very diffcult to use due to undesirable side
	effects.  (BBN has been promised a fix for this, which presumably will
	find its way into the standard firmware releases).  Operations such as
	InsLine need moderate (ie. 1/25 second) padding.  Also it automaticaly
	CRLFs when you type in the last column (BBN fix may also cure this).
	It should be noted that CEH@MC has decoded their program and made his
	own mods.
	[The fixes I mention above about InsChar and last line autoCRLF have
	been fixed in current versions.  The speed problem as far as I know
	has not been fixed as of Oct 1980.  The terminal can in general keep
	up with 9600 baud text in ordinary output.  If you have a window on
	the screen then it cannot.]
Vendor:	Human Designed Systems;3700 Market St;Phila, PA 19104;(215)382-5000
	As of very late 1978 they were experiencing delivery problems due to
	non-availibility of 16K EPROMS and talking of going to ROM.
	[These have of course cleared up].

Must choose overstrike character set, so cannot overstrike APL and Ascii in
the same terminal.  However it works to overstrike underscores even on
terminals without overstrike character set!  Character set is still in PROM
and they seem willing to assist in making own PROMs (SAIL character set for
example).  Up to 4 character sets including 1 overstrike character set can be
accomodated.  All terminal states and commands can be set under computer
control or keyboard control.  (ie. including things like baud rate).  There is
a key to show a terminal mode status display on the bottom line.  There are no
toggling states and there is a Reset All command.  The normal commands are two
character sequences starting with Escape, and do not seem to resemble any
other terminal.  There will apparently also be another model however which
shares a common subset of commands with the VT-52, but they are not quoting
any dates for availability of this.  Among those not to be included is the
hold-screen (mis)feature.

Windowing:

What you have is the ability to preface terminal commands with a window
description (row, column, length, width).  This defines the "active" window for
all following terminal data.  Apparently almost all operations are then local
to that window (insert and delete char, insert and delete line, and maybe also
scrolling and screen clear.  Cursor addressing is also local to a given
window.)  But note, it does not remember any windows.  To go back to a window
you select it fully (with row, column, lenghth, width) again.

Overstriking:

There are 16 bits for each screen position.  Normally this is divided into 7
bits to hold the "foreground" character, then 1 bit which says whether there is
a "background" (overstruck) character or not.  If not, then the other 8 bits
are used for "display enhancement", which I believe are blinking, inverse
video, intensity, underlineing, protected, and I guess a few others.  If there
is a "background" character, then then 7 bits hold the background character,
the last bit is still available for inverse video however.  Overstriking takes
place when there is already a non blank or null character in a character
position that is being inserted into.  If there is already a background
character, then it is replaced.  (Ie. multiple overstrikes will end up with the
first and last characters of a position overstruck.)  Insertion of a space or
null into a character position will erase it, whether there is a backgroup
character there or not.  Note that it knows enough to turn on the Underline bit
upon an attempt to store an Underscore in an occupied character position, even
if there are no overstrike character ROMs present.

Function keys:

Although you get 8 (shiftable) function keys (extendable to 14 for $50) you
only get a total of 34 character total to assign to these keys.  This can be
improved by paying $140 for an extra "page" of memory which gives you an
additional 128 characters in addition to another page of 24 lines of 80 chars.
You can do this twice by getting two additional pages (thus a total of 256
characters more)  beyond this you can get more pages of memory but no extra
characters.

[The multipage versions also provide a 256 character input FIFO which can
be useful if your system doesn't have the padding forumulas exactly right
(or doesn't try to pad at all).  The single page versions only have 15
character FIFOs].

CBF 31 December 1978
CBF 29 October 1980

	Delta Data 4000

Status:	Supported by ":TCTYP SB" and ":CRTSTY DD4000".
Users:	BSG
Price:	dunno, probably too much.
Screen:	25 x 80, green phosphor
Chars:	5 x 7 with descenders.
Keybrd:	lots of keys on front, I think there is keyboard there someplace.
Speeds:	...,9600
Has:	Everything except:
Lacks:	Overstrike, kitchen sink.
Misfeatures:	Has about 40,000 switches and modes.  If any are in the
		wrong position, things won't work right or won't work at all.
		Curiously almost identical in specs to Beehive SuperBee.
		Padding requirements are arcane and not fully documented,
		e.g. Clear to end of line seems to need some padding prior
		to the operation.  Sometimes inserting characters has
		undesirable random side effect of sliding lines over further
		further down the screen.  These lossages are also similar
		to Beehive SuperBee.

CBF  8 March 1978

	Delta Data 5200

Status:	Supported by ":CRTSTY DD5200" (or NIH52 for the NIH version)
Users:	RICART
Price:	dunno, probably too much.
Screen:	27 x 80
Chars:	?
Keybrd:	?
Speeds:	?
Has:	Everything except:
Lacks:	true CLEOL and CLEOS maybe.
Misfeatures:	Stores chars in an abominable way which requires it to
	generate spaces to fill up a line if you write something into
	an "empty" line.  See CRTSTY source to see how misfeature is thwarted.

	Datamedia 1520

Status:	Supported by ":CRTSTY DM1520".
Users:	FJW ?
Price:	a little over $1000
Screen:	24 x 80
Chars:	?
Keybrd:	mediocre
Speeds:	...,9600
Has:	Random, Addr, Tabs CLEOL, CLEOS
Lacks:	InsChar, DelChar, InsLine, DelLine, Overstrike
Misfeatures:	There is an internal strap for having CR do a CR-LF (ie. a
		NewLine operation).  CRTSTY assume it does this and
		compensates.

Fairly reasonable vannila terminal.  Has an APL model available for whatever
that's worth.

CBF 5 March 1978

	Datamedia 2500

Status: Supported by ":TCTYP DM2500" and ":CRTSTY DM2500".
Users:	Very popular on West Coast; SRI, SAIL etc. Info here is by KLH.
	Particularly for SAIL support options contact ME@SAIL or TED@SAIL
Price:	The 2500 may be discontinued as such, but you can buy a 4000 series
	with a 2500 compatibility ROM.  Also should look at 3025 and 3052
	which are not program compatible with the 2500.
Screen:	24 x 80
Chars:	?
Keybrd:	There are 2 generations.  The later one is only poor, not terrible.
Speeds:	...,9600
Has:	Cursor, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine, DelLine,
	Standout.  See below for details.
Lacks:	Overstrike
Misfeatures: Difficult to compute padding, hairy auto-newline.
             There is supposed to be a ROM available for the 3025 which
             effectively reduces padding time to nil.  Talk to DANG@MIT-DM.
	     See comments below.

	-- Detailed DM2500 doc --

The DM2500 is available with an Edit key which can be used as the Meta
key with EMACS.  You can't get this from Datamedia; you have to get it
from

	Martin Hardy
	Product Associates
	465 Convention Way, Suite 1
	Redwood City, CA 94063
	(415) 368-0640

The DM2500's main misfeature is the way it hacks "Roll mode" and
automatic newline.  Automatic newline is a feature whereby, if a
move forward command (^\) or character is sent and the cursor is
in the last column of a line, an automatic CR-LF is done (henceforth
known as "auto-nl").  There are two interdependencies to watch for:
	[1] a CR (which does a newline) will not function immediately after
		an auto-nl!
	[2] a LF (move down) will not function immediately after
		an auto-nl OR a CR!
Now, what happens when one of auto-nl, CR, or LF is done on the bottom
line of the screen?  That depends on whether or not the terminal is
in Roll mode:
	a) NOT in Roll mode: Auto-nl or CR moves cursor to beginning of
		top line (home position), LF likewise wraps to top line
		but stays in the same column.
	b) IN Roll mode: screen scrolls upwards; top line is lost,
		and cursor either moves to beginning of new line (auto-nl,
		CR) or stays where it is (LF).

Roll mode can be set and cleared either locally or remotely.

DM2500 Control Codes:
====== ======= =====
^Z = Up-line (if in first row, doesn't move)
^J = Down-Line (if in last row, goes to first row; but if Roll mode
	is on, screen scrolls up instead.  LF will not function
	immediately after a CR or auto-NL)
^\ = Forward (if in last col, does an auto-NL with resulting side effects)
^H = Backspace (if in first col, doesn't move)
^I = Tab (this is used to move to next "variable field".  no tab stops.)
^M = Newline (Not CR!  Moves to beg of next line (see misfeature description))
^B = Home
^L = Cursor positioning.  Followed by X, Y coordinates (column, line)
	of the form <coord>#140, i.e. XOR the value with 140.
^W = Erase to End-of-line
^_ = Erase Screen - clears all "variable"-field data.  If no protected fields
	are used, this is equivalent to Master Clear (but slower).  On some
	DM's, this code is strapped to mean Clear-to-EOS, but not all.
^^ = Master clear - zap entire memory and home cursor.
^N = Blink On - all chars after this one will blink (see note below)
^O = Form On - all chars after this will be in a "protected field".
	Note that ^N and ^O do NOT affect characters already on the screen,
	rather they affect characters received by terminal chronologically
	after the mode is enabled.  Thus to change an already-existing line
	to blink or form or back to normal the host must retransmit the entire
	line.  (This makes editing at SU-AI, where line-editor is bold, slow!)
	Most SU-AI et al DM2500s are modified to have ^N and ^O swapped.
^] = Roll On - turn on Roll mode.
^P = Insert/Delete On - see below.
^X = CAN - turn off all of Blink, Form, Roll, and I/D.

Insert/Delete Codes:
============= =====
^P = Enter Insert/Delete Mode
^\ = Insert Character - create a space at current cursor
	position, moving following chars on the line one space to the right.
	chars moved out of the last column are lost.  Cursor remains where
	it is, i.e. now pointing at the space.
^H = Delete Character - delete char at cursor position, moving following
	chars left by one.  a space is shifted into the last column.  Cursor
	does not move, i.e. now points at the char previously just to the
	right of the deceased char.
^J = Insert Line - insert line at cursor position, by moving current line
	and all succeeding lines down by one, creating a fresh, cmpletely blank
	line.  The line shifted out at the bottom is lost.  Cursor does not
	move, i.e. is now sitting in the blank line at same column position.
^Z = Delete Line - delete line at cursor position.  All following lines
	move up by one, and a blank line is shifted in at the bottom of
	the screen.  Cursor does not move.
^X = CAN - leave I/D mode (as well as any other)

Some words about padding:

A normal DM2500 only requires padding for the following:

1) Erase (^_, not ^^) - at 9600 baud, this code should be sent
	twice in succession; otherwise just once is sufficient.
	This is sort of a pseudo-pad.
2) Insert Char - At 9600 baud, one rubout should be sent after
	each ^\.  At lower speeds none are needed.
3) Delete Char - At 9600 baud, one rubout should be sent after
	each ^H.  At lower speeds none are needed.
4) Delete Line - At 9600 baud, one rubout after each ^Z.  At lower
	speeds, none needed.
5) Insert Line - the slowest.  Here is an empirical table of
	# rubouts needed after each ^J:
	Speed	# pads
	9600	15
	4800	7
	2400	3
	1200	1
6) Tab - If you really want to use this, you should get a Datamedia Technical
	Manual and learn about the protected vs. variable field hackery.

NOTE: on some older model DM2500's, Insert Line needs one more rubout than
those given in the table (possibly two), and Insert Char is unreliable in
the first 11 or so lines of the screen if running at 9600 baud, no matter
how many pads are given.  This is a design flaw with respect to the memory
board that was corrected on later DM's by redesigning it to halve the
access time for I/D mode.

FURTHER NOTE: on these losing DM2500's a frob that lets you win with
Insert Char is to send a Space (40) instead of a FS (^\).  This shifts
the line properly, but has the side effect of moving the cursor and
can leave garbage in the position spaced over, so after leaving I/D mode
one must backspace over and write spaces or something there.

      The number of rubouts needed for Insert Line is really dependant on
the current line position, here is a formula that seems to work:
    ((30.-VPOS)*OSPEED-2400.)/14400.

Status:	VT52 subset compatible, support with ins/del stuff via :CRTSTY DM3025
Users:	Furst
Screen:	24 x 80
Chars:
Price:	$1750 range.
Keybrd:	Seems to have N-key rollover.  Some feel, but they squirm a lot.
	(Is like the newer DM2500 keyboards).
Speeds:	...,9600
Has:	Cursor, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine, DelLine,
	Standout (inverse, half intensity, blinking & all combinations).
Lacks:	Overstrike
Misfeatures:	Line/Ins delete can take up to 130 MS.

This is the part of the new Datamedia line.

CBF 6 July 1978

It may be possible to get this terminal with an Edit key which can be
used as the Meta key with EMACS, if you ask

	Martin Hardy
	Product Associates
	465 Convention Way, Suite 1
	Redwood City, CA 94063
	(415) 368-0640

Status:	VT52 subset compatible.
Users:	Dang@DM had a demo.
Screen:	24 x 80
Chars:
Price:	$1745, seems hard to get a discount.
Keybrd:	Seems to have N-key rollover.  Some feel, but they squirm a lot.
	(Is like the newer DM2500 keyboards).
Speeds:	...,9600
Has:	Cursor, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine, DelLine,
	Standout (inverse, half intensity, blinking & all combinations).
Lacks:	Overstrike
Misfeatures:	Line insert/delete is fairly slow (130 ms), and the terminal
		will spew out ^S^Q, even if not in hold screen mode when it
		gets behind.  If padded properly this lossage should not
		occur.

This is the part of the new Datamedia line.

CBF 6 July 1978

Status:	Supported as DM2500 if using 2500 PROM.  Otherwise random, since
	terminal is user programmable.
Users:	KLH (sort of)
Screen:	24 x 80, but can be 48 x 80
Chars:	same as DM2500
Price:	$2500, the Dm2500 simulating PROM is $135 and 48 line option is $250.
	An additional 8K of user RAM is $425.
Keybrd:	Like Dm2500, adequate but no n-key rollover.  Can be obtained with
	SUMEX keyboard, which has an EDIT shift-like key to set parity bit.
Comments:
	Will stick in more stuff if I manage to use one regularly.

KLH 3/20/78

To get the Edit key, which can be used as the Meta key with EMACS, contact

	Martin Hardy
	Product Associates
	465 Convention Way, Suite 1
	Redwood City, CA 94063
	(415) 368-0640

	Datamedia DT/80

Status:	Complete VT-100 clone, down to the bugs
Users:	? (see below)
Has:	Advanced Video Option is standard, auxiliary printer port standard
Price:	Computrend, Boston area vendor, quotes $1899 ($100 less than
	DEC's 'standard' price) (one site was offered $1672 in 25
	quantities); note that the DT-80 includes the Advanced Video
	Option, which normally costs another $270, so the cost (list)
	comparison should be $1899 to $2170.
	(Whoops, Computrend is not going to offer them anymore.)
Screen:	larger than VT-100, characters more readable (probably just
	size made the difference)
Keybrd:	Typical Datamedia, physically tough with 3-4-key rollover;
	reviewer thought it actually was nicer than VT-100 but others
	have expressed the opposite opinion.  Keyboard seemed to
	generate spurious chars once in a while and be over-sensitive
	(ie, just resting fingers on some keys would send them once
	in a while).
Enclosure: Typical Datamedia: metal (much more sturdy than VT-100)

	-- see VT-100 node for rest of technical details --

I had one of these for a day (though it would flake out totally after
being on for an hour, sigh, but this was a demo model so it's allowed
to have some marginality).  The above remarks are from that day, so
take them with a sack of salt.  No one really has any experience with
them over any period of time, as far as I know; when someone gets
some, please replace this summary.

CPR, Tuesday, 8 July 1980

	Perkin-Elmer FOX-1100

Status:	Supported by ":CRTSTY FOX".
Users:	MIT Architecture Machine has several.  Try ARQMAQ@MIT-ML .
Screen:	24 x 80, P4 (white) phosphor
Chars:	7 x 11 (in a 9 x 12 field)
Price:	Probably around $1200.  The P-E Bantam effectively replaces the FOX.
Keybrd: 1 key rollover sucks.
Speeds:	75,110,200,300,600,1200,1800,2400,7200,9600
Has:	Cursor, Addr, Tabs, CLEOL, CLEOS.
Lacks:	InsChar, DelChar, InsLine, DelLine, Standout, Overstrike.
Misfeatures:	Seems unreliable?  Upper case DEL key.
Vendor:	Perkin Elmer Data Systems;Randolph NJ 07801;the cretins don't
	believe in phone numbers; They do have a Boston office.

Comes within 2 inches of being defacto VT-52, HP compatible.  Uses ESC
K to mean clear entire screen, clear all tabs and home, instead of
Erase to End of Line, and uses Esc I to mean CLEOL instead.  See also
big-brother OWL-1200, also see its replacement: the Bantam.

CBF 5 March 1978
CBF 23 Sept 1979

	Heath H19

Status:	Supported by :TCTYP H19 or :CRTSTY H19
	TCTYP support does not know use Ins/Del Char.
Users:  Many.  H19-People at MC is a mailing list of users.
Price:	$995 assembled and test. $695 kit.  10% off quan 10 from Heath.
Screen:	24 x 80;25th "status" line. P4 white phospher 6.5"x8.5" (12" diag)
Chars:	5x7 Upper case, 5x9 lower case with descenders, 8x10 for 33 graphics
Keybrd:	Non-detachable, VT52 layout, unremarkable tactile feel.
	Clicker is more of a sharp beep than a click.
Speeds:	"110 to 9600"
Has:	Random, Addr, Tabs (fixed every 8), CLEOL, CLEOF, Ins Line, Del Line,
	Ins Char, Del Char, Standout (Reverse video)
Lacks:	Overstrike
Misfeatures:   Included in description below.

The following material is supplied by Winston Edmond <Edmond@bbne>:
* It has a 128 character FIFO receive buffer.  If this buffer gets more than 96
  characters full, the terminal sends XOFF, and sends XON when the buffer drops
  below 96 characters again.  I did not see a way of disabling this "feature".
  (Of course it is a kit, and you have the schematics...) [On most terminals
  this would not be so bad as long as one was careful to properly pad the
  terminal.  However, the H19 inserts DEL codes into the buffer.  THus the
  the character that many systems use for padding whill only serve to exasperate
  the problem of triggering an XOFF since the FIFO will fill with DEL's.  This
  can be cured by having the host pad with NULs which are not inserted into the
  FIFO.  Unfortunately not all system allow the user to set the pad character.
  -CBF 20 Dec 79]
* The following terminal properties can be changed:
    Key clicks/no key clicks.  The click is medium loud for my taste.  I
	would bet that there is some easy way to adjust the loudness.
    Cursor: underscore/box/none at all.  Cursor always XORs with
	character cell.  Underscore is at typewriter level and
	intersects with lower case descending letters.
* 25th line can be used as mode line.  Scrolling, insert/delete line,
  erasing, etc. do not affect this line.  One uses this line by using
  cursor positioning to get to it, whence operations apply only to the
  25th line.  Use cursor positioning to return.  When disabled, it is
  always blank.  When enabled, it is always initially blank.
* Keyboard has a acceptable feel to it.  It is lighter than a VT52 but
  heavier than a Concept-100.  For comparison, I am a touch typist and
  like the Concept-100 keyboard.
* Alternate keypad mode (same as VT52 and sends same character strings.)
* Scrolling
* Reverse scrolling
* Hardware tabs every eight positions, except from 72 to 80 where TAB is
  treated like space.
* Communications parity: Even, odd, always 1, always 0.
* Control-space does not produce NUL (Ctrl/@ does).  The Control key only
  applies to "strictly legal" keys.  Otherwise, you get the normal character.
* There are no programmable function keys, and none of the function keys
  happen to transmit NUL.  You do have ESC followed by A, B, C, D, E, H,
  J, L, M, N, P, Q, R, S, T, U, V, W, or @ available from function keys.
  If you use the alternate keypad mode (a la VT52) you get ESC ? <char>
  for <char> = {M,n,p,q,r,s,t,u,v,w,x,y}.  If you leave the terminal in
  ANSI mode, you usually get ESC O <char> instead, but you may get ESC [
  <cruft> for four of the function keys.
* Although the terminal has both "Heath" mode and ANSI mode, sending an
  ANSI insert-N-lines causes the terminal to insert one line N times.
  (Much slower, less aesthetic.)
* The terminal is Z80 based and uses two 2716 EPROM and two 2316 (8316)
  2K*8 ROMs.  It also uses a 5740 keyboard encoder and a 6845 CRT controller.
  There was apparently no truth to the rumor that microcode listings were
  available from Heath, but the question is still being pursued.
* Some people at Tech Square say that an order of 10 or more gets them a
  10% discount on the price.
* There is no fan.  (However, like all TVs, there is a very high-pitched
  note, no worse than my Concept-100.)

This terminal is also available as part of the H-89 "All-In-One" Computer.
This adds a second Z-80 processor and 16K RAM (expandable to 48K) and
sells for $1250.00, kit form.  With a minifloppy, 1650.00, or around $2250
assembled.  The initial announcement of the H19 claimed it would be field
upgradable to an H-89, however this upgrade does not seem to have been
marketed.  I would appreciate hearing from anyone who becomes aware of
such a kit being sold.  One gets an assembler for the Z-80 as well as
BASIC and whatever other programming languages they offer.

CBF 11 June 1979
CBF 10 August 1979 (mostly integrating Winston Edmond's comments)

	Hazeltine Executive 80 models 20 and 30

Status:	new product
Users:	?
Price:	$1295 (model 20 12" screen  80 columns non-detached keyboard)
	$1695 (model 30 15" screen 132/80 columns detached keyboard)
Screen:	24x80; 25th status line. 12" diagonal (9"x6")
	Enhanced video option: (24x80|24x132)+25th status 15" diag (10.5"x8")
	Green or yellow(?!) phospher, 60Hz non-interlaced refresh (18MHz)
Chars:	7x8+descenders in a 9x12 block or 5x7 in 132 column mode
	.082"(2mm) wide x .160(4mm) high on 12"
	15": .102"(2.6mm)x.160"(4mm) or .057"(1.4mm)x.186"(4.7mm) in 132 mode
Keybrd:	detached on model 30, option on model 20; typewriter paried,
	selectable clicker, decent feel; numeric pad, cursro keys etc.
	8 more function keys on model 30
Speeds:	110,300,600,1200,2400,4800,9600,19,200 optional RS449, optional 20ma
Has:	Random, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine, DelLine,
	Standout (inverse, blink, underline, dim)
Lacks:	Overstrike
Misfeatures: Unknown, no sample available.
Aux Port: optional RS232 printer on mod 20, optional buffered RS232 on mod 30

Selectable Hazeltine standard (like H1500??) or ANSI 3.64 control sequences.

It looked ok, at the NCC, I'd be interested in hearing from anyone who
gets one.  Tilt display standard on model 30 optional on model 20.  The
big (15") screen gives good size characters for those tired of squinting;
Enhanced video option also offers double height/width chars.  Both screens
appeared to have good video quality.  There also seems to be a "horizontal
split screen" feature that apparentely lets you scroll the right and left
siedes separately.  Its not clear is this stops a clear to end of line or
even an insert delte line for that matter.  Selectable smooth scroll.  No
flow control option apparent, except perhaps Xon/Xoff on model 30.

21 June 1980 CBF

	Hazeltine 1500

Status:	Supported by ":CRTSTY H1500".
Users:	RP
Price:	$1100 single
Screen:	24 x 80;P4 white phospher;10 inch diag, 6 x 9 inch display area
Chars:	7 x 10; .204" high, .088 wide
Keybrd:	Unusable, funny layout, mediocre feel, supposedly detoriates with time.
Speeds:	110,300,1200,1800,2400,4800,9600,19200
Has:	Random, Addr, CLEOL, CLEOF, Ins Line, Del Line,
	Standout(hi/lo intensity)
Lacks:	Tabs, Ins Char, Del Char, Overstrike.
Misfeatures:	No possible way to display tilde "~", as this prefixes
		control codes.

Note: Avoid the H1400, it has no features.

The Stanford LOTS people have rewritten the firmware of the H1500 to
emulate a Datamedia 2500.  This doesn't fix the keyboard, but can get you
Char insert and delete and the abilitiy to display a tilde.  Contact J. Q.
Johnson (Admin.JQJ at SU-Score) for more info.

CBF 5 March 1978

	Hazeltine 2000

Status:	Supported by ":CRTSTY H2000" or by ":CRTSTY H2LOSE".
Users:	?
Price:	Varies, used to be expensive (ie. $3K), not really currently marketed.
Screen:	?
Chars:	?
Keybrd:	Sucks by all accounts.
Speeds:	?
Has:	Random, Addr, Ins Char, Ins Line, Del Char, Del Line, Standout?
Lacks:	CLEOL, CLEOS, Overstrike.
Misfeatures:	Galore.  Keyboard is supposedly arcane in that it can generate
		lower case, but not by any simple means like a shift key.
		has strange padding requirments, but they appear to differ from
		instantiation to instatiation from the terminal, so CRTSTY may
		not work for yours.  Documentation probably corresponds to no
		real instance of the terminal.
CBF 5 March 1978

	Hewlett-Packard 2621

Status:	Supported by :TCTYP HP and :CRTSTY HP2621
Users:	WRS@OFFICE-2, you may wish to read his 9 page evaluation.
Price:	$1450 single quantity, $2550 with a 120cps thermal printer.
Screen:	6"x8.5"; 24x80; P4 (white) phosphor;60 Hz refresh;non-interlaced
Chars:	7 x 9 in a 9 x 15 cell by use of descender and half shift indicators.
Keybrd:	Typewriter paired (but rubout is shift-escape), detached, N-key
	rollover.  Feel is not impressive, but much better than HP 2640
	series.  Caps lock key in usual place for shift lock toggles caps
	lock mode, but gives absolutely no indication of state, such as
	latching or setting an LED as one might expect.
Speeds:	110,150,200,300,600,1200,1800,2400,3600,4800,9600 (cannot split speed)
Has:	Random, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine,
	DelLine, Standout
Lacks:	Overstrike
Misfeatures:	RUBOUT is SHIFT-ESC, caps lock key lossage.

The terminal powers up to settings taken from a settable non-volatile
memory.  Said to have nice setup mode.  Tabs are not in non-volatile
memory.  There are no straps or switches (except the power switch of
course).  Optional thermal printer is integral to case.  Terminal
sits on pedastal, but takes up considerably more desk space than a
Concept 100 or VT 100.

EAK  28 November 1978
CBF  20 March 1979
CBF  11 June 1979
CBF   3 February 1980

	Hewlett-Packard 2640A, 2640B

Status:	Supported by ":TCTYP HP" (padding will not be sufficient at 240cps)
	and ":CRTSTY HP2640".
Users:	2640A: DPR
Price:	$2640
Screen:	24 x 80, white on grey.
Chars:	7 x 9 in a 9 x 15 cell by use of descender and half shift indicators.
Keybrd:	plastic on plastic no tactile feel, poor layout 2640A only. Detachable.
Speeds:	110,150,300,1200,2400
Has:	Random, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine,
	DelLine, Standout
Lacks:	Overstrike
Misfeatures:	Maximum speed of 2400 baud, and needs a fair amount of padding
		even at that speed.  2640A often does not manage to pay
		attention to its keyboard when it gets busy.
		Lowercase ROM is $100.

Some degree of user programmability.  They can all load a pong game.
Other members of family include the 2648 graphics terminal (360x720 raster
scan), models designed for much more user programmability, 2641A model
for APL.

CBF 5 March 1978

	Hewlett-Packard 2645A

Status:	Supported by ":TCTYP HP" and ":CRTSTY HP2645".
	(CRTSTY will use direct cursor addressing)
Users:	MSB, CBF, EAK
Price:	$3500
Screen:	24 x 80, white on grey.
Chars:	7 x 9 in a 9 x 15 cell by use of descender and half shift indicators.
Keybrd:	plastic on plastic no tactile feel. Detachable.
Speeds:	110,150,300,1200,2400,4800,9600 (options for split & more speeds)
Has:	Random, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine,
	DelLine, Standout
Lacks:	Overstrike
Misfeatures:	Upper case Delete key (reversed by CRTSTY)
		Lowercase ROM is $100.

Some degree of user programmability.  They can all load a pong game.
Other members of family include the 2648 graphics terminal (360x720 raster
scan), models designed for much more user programmability, 2641A model
for APL ($4100 !)

CBF 5 March 1978

	International Business Machines 3101

Status:	New, supported by :CRTSTY IBM3101
Users:	None
Price:	Model 10: $1295, Model 20 (block mode): $1495  Discounts:
	10% Educational; quantity: 25-49 7.5%, 50-99 15%, 100+ 20%
Screen:	24x80 with 25th status line, P39 (Green) phospher, 15 inch diagonal
Chars:	7x14 in a 9x16 field.  Very well formed.
Keybrd:	Detachable, good tactile field with breakthrough and clicker (can
	be disabled).  Alphabetics are in usual office Selectric positions,
	but other keys are where they have never been before.  Control is
	labelled ALT and sits to the right of the space bar.
Speeds:	110,150,200,300,600,1200,1800,2400,4800,9600.  Some combinations of
	split speeds seem possible; Current Loop and RS-422 options available
Has:	Random, Addr, Tabs, CLEOL, CLEOS, [Standout Model 20 and above only.]
Lacks:	Overstrike, [Ins Line, Del Line, Ins Char, Del Char availalble on
	Model 20, but they only work in block mode!]
Misfeatures:
	Unusual Keyboard (placement of Control key makes it almost useless)
	The report of the Insert/Delete functions only working in block
	mode comes from J.Q. Johnson (Admin.JQJ at SU-Score).  He also
	claims they may fix this in later releases.

This is IBM's first ASCII terminal.

Control codes are similar to the VT52, but the terminal cannot succesfully
masquarade as a VT52 (row and column reversed in absolute cursor position,
Escape I for clear to end of line instead of Escape K, etc).  Insert and
Delete Line operations require 50-100 milliseconds of padding on those
models which have them.

Mechanical packaging is very nice.  The unit comes in 3 pieces; the
keyboard, the electronics box and the monitor, connected by cables.  The
monitor can loosely sit in any of 6 positions on the electronics box
(facing left, center or right while pointed level or upward).  The
electronics box and the keyboard are roughly similar in shape, each being
almost 2 feet wide (this is from memory) 3 to 4 inches high and about
10 inches deep.  The monitor is about a foot by a foot by a foot.

One of their brochures claimed the monitor refreshed at 70 Hz, interlaced.
This could be a typo.  However, in spite of it being P39 Green phospher,
no one could really detect any smearing when it scrolled.  I suspect they
may be doing interesting things with the monitor.  The salesman claims he
was told the monitor took a standard composite video signal.  It does not
use a  standard video cable for connection, though.

The Models 10 and 20 are RS-232 only.  Models 12 and 22 ($25 extra) have
both RS-232 and 20MA current loop.  Models 13 and 23 ($25 extra) have both
RS-232 and RS-422.  RS-422 is the EIA standard intended to replace RS-232.
IBM claims you can drive RS-422 4000 feet (1219 meters) without modem at
9600 baud.  There is evidence other companies, such as DEC, intend to
support RS-422.  Field upgrades are possible throughout the models by
purchasing appropriate replacement assemblies.

Deliveries of Model 10 and 12 start November 1979.  You're too late for
first day orders already. Model 13 January 1980, Models 20, 22, and 23
March 1980.

They do not seem interested in on-site maintainance.  Return defective
subassembly to factory contracts are available at a cost of $70 per
year for the models 10, 12, and 13 and $80 per year for models 20, 22, 23.
If not on warranty for a minimum charge of $64 per machine to cover
handling, inspection, cleaning, adjustments, testing, and return shipping
charge will be applied.  In addition all parts will be billed at IBM's
prevailing parts prices and additional time required for repairs will
be billed at IBM's applicable service rates.  I have not yet discovered
what the initial warranty period is.  The customer is expected to install
the machine himself.  Component prices are as follows:
	Monitor assembly:	$315
	Keyboard:		$320
	Logic (Models 10,12,13)	$660, $685, $685
	Logic (Models 20,22,23)	$860, $885, $885

Some personal impressions: For IBM the terminal is aggressivley priced.
The packaging, monitor and keyboard are clearly all more expensive that a
VT-100 for a example, but the terminal is cheaper.  Emacs users, and just
about any one who uses the Control key extensively is going to find it
difficult to adjust to the keyboard.  This is not the only strange thing
about the layout.  Escape is in a separate group to the left, delete in a
separate group to the right.  Note that most previous IBM displays (like
the 3270) are connected to the main CPU by coax cable.  They have never
really produced a display terminal intended for dialup use the way the
2741 was intended for dialup use.  In this light, it is more
understandable to view the 3101 as an attempt by IBM to sell dialup
display terminals (which many of their customers were buying elsewhere
anyway, hence the capitulation to ASCII?) than an attempt to attack a
traditional DEC market, for example.

CBF 13 October 1979
CBF 20 January 1981

	Imlac PDS-1, PDS-4

Status:	Supported by ":TCTYP IMLAC" if you're running SSV or SST.
Users:	MIT-DM, Plasma Physics (PLASMA-GROUP@MC)
Price:	PDS-1G is minimum $9K all the way up to PDS-4 with options >$20K
Screen:	PDS-1 gets 44 lines by 88 chars with standard font.
	PDS-4 gets 50 lines by 89, but can hack smaller fonts yet.
Chars:	Stroke drawn, you need the long vector option!
Keybrd:	no great feel, but stands up to an amazing amount of abuse.
	It takes a lot of multiplexing to generate all 128 Ascii codes.
Speeds:	I have heard of Imlacs going 80Kbaud and better.
Has:	Everything.
Lacks:	If it doesn't have it, you can always write your own program.
Misfeatures:	Expensive.

It might be handy to attach your own keyboard.  Features are based on
use of the SSV or SST program of the MIT-DM group.  Since the display
processor is a full minicomputer, you can of course run any sort of
program you wish in the terminal.  In particular there is an excellent
set of games available.

CBF  8 March 1978

	Infoton 100

Status:	:TCTYP VT52,+%TOLID,PADTAB 1
Users:
Price:	$925 single?, $625 quantity 100.  $50 for char ins/del.
Screen:	24 x 80 with 25th status line.  12" diagonal with P4 white phosphor.
Chars:	5 x 7 upper case, 5 x 9 for lower case.
Keybrd:	Has N-key rollover.  Keys have rather stiff springs, poor feel.
Speeds:	110, 200, 300, 1200, 2400, 4800, 9600, 19200
Has:	Random,Addr,Tabs,CLEOL,CLEOS,InsLine,DelLine,Standout (reverse and
	low intensity).  InsChar,DelChar $50 options.
Lacks:	Overstrike
Misfeatures:
	Lower case "l" and the number "1" have graphics easily mistaken
	for each other.  Has a logical not symbol instead of underscore!

	Infoton 400

Status:	?
Users:	Radia@bbn, MILES.BAREL@cmu
Price:	400/4 $1330 (quantity 1)
	400/5 $1460 (quantity 1)
Screen:	25 x 80
Chars:	9x9 (over I believe 10x10 area)
Keybrd:	Reasonable (Keytronics - same as superbee)
Speeds:	...,19200
Has:	Random,Addr,Tabs,InsChar,DelChar,InsLine,DelLine,Standout
Lacks:	CLEOL,CLEOS,Overstrike
Misfeatures:
	The following is the text of a letter sent to Infoton:
  Here  is  a  description of the problems we encountered with the Infoton 400.
The first set of problems are general ones which are application independent.
  1. When you power up the terminal, it comes up in block mode  with  caps
     only  set.    This  may  be intentional but I would think it would be
     preferred that neither of these be set.
  2. When entering text onto the screen, either  from  the  host  computer
     link  or  from  the keyboard, there is noticeable flicker of the text
     already on the screen.
  3. The underline and the cursor obscure  the  descenders,  making  these
     characters  hard  to read, and sometimes impossible to differentiate.
     For instance, you cannot tell the difference between a lower  case  Q
     and a lower case G if the cursor is beneath the character.
  4. The  insert  and  delete  character functions shift all characters on
     following lines along with the  line  being  modified,  making  these
     functions useless.
  5. The terminal appears to have either a parity or overrun problem. When
     used  with several of our computers, many characters echo as question
     marks, instead of the character sent by the host, irrespective of the
     parity settings in the rear of the terminal.
The remaining problems are specific to our application - a screen  editing
     terminal.
  6. The  special graphics functions of underline, blink and reverse video
     cannot be used in arbitrary combinations.
  7. Insert and  delete  character  functions  move  characters  over  the
     graphics  formatting.    This may be fine for data entry applications
     where  the  formatting  indicates  different  fields,  but  for   our
     application,  where  the  graphics  are  used  to  indicate different
     character fonts, the graphics must remain with the text which  is  in
     the alternate font.
  8. The  use  of  the  graphics  functions  require  insertion of a blank
     character on the screen at the position that the mode was changed. We
     often use alternate character fonts  within  one  word  to  emphasize
     portions  of  that word.  For example, the first several letters of a
     command are often an ACROnym for its use.
					Miles Barel@CMUA

23 August 1978 CBF transcribing Miles' message.

	NLS Lineprocessor

	This refers to the so-called Lineprocessor that is used with
	NLS workstations and will allow use of ITS without having to unplug
	the cretinous little black box.  If anyone is actually interested
	in the specs, I can set them straight.
	In general a terminal being used as a LP will run much slower than
	it otherwise would be capable of.

KLH 3/20/78

	Beehive Mini-Bee 0 and 4, probably also applicable to B100.

Status:	Supported by ":TCTYP MINIBEE" fairly well,
	":CRTSTY MB0" or ":CRTSTY MB4" supports more features.
Users:	?
Price:	?
Screen:	25 x 80
Chars:	?
Keybrd:	Reasonable.
Speeds:	...,9600
Has:	MB4:	Random, Addr, Tabs, CLEOL, CLEOS
	MB0:	Random, Addr.
Lacks:	MB4:	Ins Char, Del Char, Ins Line, Del Line, Standout, Overstrike.
	MB0:	Everything.
Misfeatures:	Upper case shift.  Probably many more misfeatures hiding in
		non-obvious places waiting to be discovered.

CBF 5 March 1978

	Micro Term MIME

Status:	:TCTYP VT52 in VT52 mode or :CRTSTY MIME in ACT mode uses line ins/del
Users:	Emery@MC, CSD.Halbert@Berkely
Price:	$795 single, $825 with non-glare screen (recommended)
	quantity discounts: 10-24: 10%, 25-99: 25%, >100: 27%
Screen:	24 x 80, 12" diagonal white phospher (presumably P4)
Chars:	5 x 7 plus descenders
Keybrd:	Claim they use same kbd as VT52.  No clicker though.
Speeds:	110, 150, 300, 600, 1200, 2400, 4800, 9600
Has:	Random, Addr, Tabs, CLEOL, CLEOS, InsLine, DelLine,
	Standout (half intensity)
Lacks:	InsChar, DelChar, Overstrike

This terminal has internal switches that can be set to have it "emulate"
either an ADM3A, a Hazeltine 1500, a VT52, or an ACT-IV.

EMERY@MIT-MC 02/23/79 01:47:48 Re: Mime-I
It also supports a very nice little switch inside so that when emulating a
terminal that doesn't have a given feature, it adds it.  For example, when
in VT52 mode, it will normally not understand a ins/del line.  But, if
this switch is turned on (appropriatly enough, it is named Enhance), it
will.  Of course, the assignment for these extra features [in these modes
corresponds to the assignment of them on the ACT series terminals].

It has the same quark as the ACT-V does about underlining
a character that has descenders.

It has the characters transposed on the keytops for underline and
minus, and the underline is actually a left arrow (presumably since
it supports underline as a special feature anyways).

All in all, it is a really good terminal.  Having an F-8 in it, and
3 EPROMS (2708's) to choose between the different terminals (ACT-IV
is hardwired) makes it very versatile for the hobbyist.

For some strange reason, you have to open the terminal in order
to switch from one terminal setting to another.  This is presumably
since it isn't changed so often.  However, it would be much more
useful if it was accessible from either the keyboard or behind the
terminal.
						Emery Galambos
25 February 1979

The follow report came from DCH@MIT-ML on 27 February 1979:

The main idea of this terminal is that it will emulate an ADM-3A, a
VT-52, a Hazeltine 1500, or a Microterm ACT-IV, all at the flip of a switch.
It has remote ins/del line, but not ins/del char.  However, we have been
told that for free they will substitute a ROM so that it will no
longer have the emulation feature, but will do ins/del char.

When not emulating something, all function codes are single
control characters, not escape sequences.  This is a minor problem on UNIX,
which runs full-duplex, but stupidly echoes everything anyway, unless
one is in raw mode.  but on any reasonable full-duplex system, this should
not be a problem.

Ins/del line causes the screen to glitch.  It needs about 80ms padding.
This means that several in a row causea lot of action on
the screen.  But it works.

The cursor is a double underline, non-blinking, and sometimes hard to find.
When the cursor is on a character with a descender, the screen goes double-
bright where the cursor and descender overlap.  This looks ugly, and means
they did it wrong.

The terminal has half-bright and underline.  To underline a char, one positions
the cursor and then sends a ^U.  The underline appears in exactly
the same form as the cursor, with the same double-bright problem.  but
various operations, such as linefeeding over a line with underlines
(I'm not sure about this) cause the underlines to disappear.  So this is
bad.

The keyboard is ADM-3Aish, but slightly softer, and with a different
layout (but RUBOUT is still shift-_, albeit now near the upper RH corner.
It does not have n-key rolloover.  There is an embeedded numeric
keypad.

This is the MIME-I.  The MIME-II is the same except it comes in a larger
and slightly nicer-looking box, and has a separate numeric pad.
It also costs more.

Underline is backarrow, but uparrow is caret!

This is the terminal we are most seriously considering, because it has
ins/del char/line (we will get the substitute ROM), and because it
is cheap, has an OK keyboard, and its problems (e.g. double-bright,
funny underline) do not make it unusable at all, but are just annyoing.

If one of us gets up the energy, we may buy the tech manual ($25), and
do some reprograming.  But I doubt it.

	Hazeltine "Modular One"

Status:	Supported by ":CRTSTY MOD1".
Lacks:	Clear-to-EOL, hence line erasure is slow.
Comments:
	CRTSTY works all right with it - I had access to one for
	about a month, and have never seen any since.  As far as buying
	one goes, don't.

KLH 3/20/78

	Omron 8025.

Status:	Supported by ":TCTYP OMRON" and ":CRTSTY OMRON".
	CRTSTY supports more features, but neither works quite
	right and wont until we get our hands on one.
	The current stuff seems to be called 8030, and seems to
	be different and thus not supported.

	Perkin-Elmer OWL-1200

Status:	Supported by ":CRTSTY OWL".
Users:	See the FOX
Screen:	24 x 80, P4 (white) phosphor
Chars:	7 x 11 (in a 9 x 12 field)
Price:	$1500 through Educom (MIT included), about $2000 otherwise.
Keybrd: 1 key rollover sucks, assuming it is like the FOX keyboard.
Speeds:	75,110,200,300,600,1200,1800,2400,7200,9600
Has:	Cursor, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine,
	DelLine, Standout
Lacks:	Overstrike
Misfeatures:	Upper case RUBOUT key.
Vendor:	See the FOX

Comes within 2 inches of being defacto VT-52, HP compatible.  Uses
ESC K to mean clear entire screen, clear all tabs and home, instead
of Erase to End of Line, and uses Esc I to mean CLEOL instead.
See also little-brother FOX-1100.

EAK 11 March 1978

	Beehive Super-Bee

There are two models, the SB1 and the SB2.  The SB2 has some a new PROM
to fix certain bugs.

Status:	Supported by ":TCTYP SB" and ":CRTSTY SB1" or ":CRTSTY SB2".
	SB1 should be used via CRTSTY.  System support for SB2 might work.
Users:	CBF, EAK
Price:	$3K, not actively marketed I hope.
Screen:	25 x 80, white phosphor, black background
Chars:	5 x 7 (in a 7 x 10 field), descenders
Keybrd:	Reasonable.
Speeds:	...,9600
Has:	Random, Addr, Tabs, CLEOL, CLEOS, Ins Line, Del Line, Standout.
Lacks:	At least on the SB1 Ins char & Del Char do not work.  Overstrike.
Misfeatures: Peruse the following from Mark Horton:

Date: 7 Jun 1980 19:59:14-PDT
From: CSVAX.mark at Berkeley
Subject: superbee

The terminal is unable to scroll at 9600 baud, and can't always keep up
at 4800 baud either.  2400 baud is safe.  This is not a problem on ITS
because most people don't use scrolling, but it is serious on other systems.

Even though it has insert line, the feature is unusable.  This is because
the terminal keeps a fancy data structure only using up the amount of
memory needed by each line instead of a full 80 characters.  Insert line
inserts a zero length line, and when you try to put something on that line
it either (1) ignores it if the line begins with a tab, or (2) takes characters
away from the bottom of memory to put them in the line, causing decay of
the screen if the bottom of memory is on the screen.

Insert character might be useable with lots of special code but it is unlike
any IC I have ever seen before.  When the line grows past 80 characters,
it inserts a blank space and starts shoving the next line to the right.
When this second line hits column 80 it pulls the same trick on the third line,
and it can eventually mess up the entire lower part of the screen.

Delete line and delete character are quite ordinary and usable.

Since there are only 2048 chars of memory, often the terminal will do the
wrong thing and fail to display all 25 lines.  Sometimes the top or bottom
line will be blank until you position the cursor there.  This doesn't seem
to have a serious effect on a screen editor, but can be annoying.

The standout modes (inverse and blinking) have the same misfeature as the
Teleray and TVI: they leave a blank space between modes.

The keyboard has an amazing number of keys crowded around it, including
separate keys for newline (^_), return, linefeed, _, rubout, tab, backtab,
and several special functions such as scroll up and down, but amazingly
enough there is no backspace key!  Shift lock is where control should be,
control is to the left of the left shift key.

Another botch is the SPOW "feature".  This is supposed to make spaces be
nondestructive on the screen when a latch is set.  (Set by return, cleared
by tab, newline, linefeed or home.)  But what they don't tell you is that
when the latch is set and you are entering a line of text, when you hit
the space bar it actually TRANSMITS ESCAPE C (the nondestructive space
sequence) instead of space!  CRTSTY compensates for this by turning escape
C back into space (I wonder if escape C does something useful in EMACS?)

CBF 5 March 1978

	SWTPC CT-82

This terminal is very bizarre.  It has an incredible number of useless
features.  The keyboard feels good, but it does not have N-key rollover.

It has ins/del char/line.  There are modes for whether ins-char pushes
characters off the end of the line, or causes the line to wrap.  The
character can be inserted so things get pushed to the right or to the left.
Similarly, inserting lines can push lines up or down.

All the ins/del stuff, and all the other assorted features (such as slide
the screen left or right, or scroll the quadrant that is north-east,
NW, SE, or SW or the current cursor position) seems to happen very
fast without glitches.

The screen is small (9" diagonal??), but the characters are very
sharp.  The nominal layout is 16 lines by 82 characters.  20 lines by
82 characters-mode can be set, but then the descenders on one line overlap
the tall letters on the next line (by one or two scan lines).
There is a 22 by 92 format using uppercase only, but the sample we saw
could not do it.

All escape sequences begin with ^[, ^\, or ^], followed usually by
one or more control characters.  For some reason they did not catch
on to the fact that one can follow an escape with printing characters as
well as control characters, except for sending coordinate positions or
something like that.  What I mean is that all the escape sequences that
don't take variable arguments consist entirely of control characters.
The most commonly used (by their definition) functions are done by a
single control character (so the first sentence of this paragrph is not
entirely correct).  However, it is possible to demand that these
single control characters be preceded by some arbitrary characgter.
Unfortunately, in the current version of the software, this means that
CR and LF must also be escaped when this mode is requested!  This is
a known bug to them.

It is possible to reprogram any sequence to be some arbitrary sequence.
Thus it would be very easy to make this terminal emulate many others.  I'm
not usre what kind of length restriction there is on an
reprogramed escape sequence.  The escape sequence tables are loaded into
RAM from ROM every time the terminal is powered up.

There seem to be other software bugs as of this version of the terminal
(release 1A).  We were unable to get the terinal to work over
the phone to a UNIX.  It kept on going into some kind of control-char
transparent mode.  but we may have had it configured wrong in some way.

The terminal has some kind of graphics.  It will put a 2x3 pixel in a
char position, using the char position to encode the pixel.  But in version
1A software, the graphics stuff does not work.  (This is another known bug
to them, listed in the front of the manual).

Price is $795/ qty. 1.  The ByteShop owner where we saw the thing said
SWTPC is shipping 40% of their production to Europe (I have no idea why).

This terminal is too bizarre, too flaky, and too buggy , at least now, to
warrant consideration.

My impression is that to pad on most terminals, one sends nulls, which get
thrown away by the terminal.  However, the CT-82 manual says this won't
work, because they use a UART, and so the nulls will get stuck in the UART
FIFO buffer.  So they say send nothing while padding (which is necessary
sometimes, though I think not very often on the terminal).  So, either
they are wedged in thinking about UART ubffers, or they forgot to throw
away nulls in the right way.  Anyway, I am confused by that section of
their manual.
-DCH@MIT-ML

(Considering the quality of Dan's report and the bizarre nature of the
terminal, I have decided to dispense with the normal format; especially
considering that this terminal does not seem to have enough going for
it to bother comparing it around anyway.  -CBF 11 March 1979)

	Tektronix 4024, 4025 & 4027

Support: :CRTSTY TK4025 or TK4027
Users:	Greenfeld@BBN-TENEXD, FJW@MC for 4025, MIT Architecture for 4027
Price:	4024 (alphanumeric only) $3000
	4025 (alpha & graphics)  $4800  8K bytes graphics memory,
				 $5500 16K bytes graphics memory,
				 $6200 32K bytes graphics memory (maximum)
	4027 (alpha & color graphics) $8000
Screen:	34 x 80 green, rather long persistence phosphor
Chars:	fairly large
Keybrd: Detachable. Unfortunate feel, keys have lots of sideways play.
	Some 4027's I have seen have a stiffer (and better) version of the
	keboard.  All keys (except shift & control) redefinable to transmit
	arbirtrary sequences!
Speeds:	0,50,75,110,134,150,300,600,1200,1800,2400,4800,9600
	supports split speeds fully.
Has:	Random, Tabs, InsChar, DelChar, InsLine, DelLine, Standout
Lacks:	Addr, CLEOL, CLEOS, Overstrike
Misfeatures:	Lack of full-duplex operation (see below).
		Bewildering number of features in local operating system.
		Must have a command character to introduce statements,
		which character then becomes unavailable for normal use.
		Verbose command language from transmission time point
		of view, commands are at least 4 characters, folowed by
		operands separated by delimiters.

This terminals have an amazingly frustrating feature:  If the user types
on the keyboard while the terminal is recieving a command, the command
will be garbled.  You can practically forget about using these terminals
for real-time editing because of this.

The lack of direct cursor addressing and CLEOL make this terminal almost
impossible to support reasonably.  The DEL command, which might be used to
simulate it, is actually slower than wiping out a line by transmitting
spaces at 1200 baud!  (On the 4025, the 4027 may be faster).  In addition
the insert line command works in a very non-standard fashion; it moves
down one line before performing the operation.  This makes it impossible
to insert a line before the top line in the screen.

In general the command structure of these terminals is designed along
the bankrupt concept that the local terminal can provide a much better
editing environment than the central timesharing system.  That the central
timesharing system is inflexible and unfriendly, and furthermore
communicates in a lockstepped line at a time protocol.  In other words,
if you're using an IBM system (TSO, CMS) it might be advantages,
for real time editing, forget it.

If one is willing to get some other terminal for editing however, these
terminals do have some merit as graphics devices (which is what Tektronix
should probably stick to).  The 4025 has a graphics resolution of 640
horizontal by 476 vertically displayable.  However, they use this scheme
whereby the screen is divided up into 8 by 14 cells.  If any 8x14 cell does
not contain any graphics (or characters) then it does not need to consume
any memory.  Ie. they have a sparse allocation technique based on character
cells.  In fact, once it is sent to the terminal, there is no difference
between putting a character on the screen, or sending graphics commands to
fill the cell with the character.  Initially however, the terminal does not
act on any graphics commands, until one defines the exact area of the screen
that graphics overlap on.  Ie. you can say, the graphics workspace is lines
10 through 20 from columns 40 through 60.  The terminal is full of features
like these to give the local user control of such things.  The underlying
presumption seems to be that he is dealing with canned programs on a central
computer, which either cannot be modified, or have insufficient
paramterization to allow the users of graphics systems to specify these
things.  Unfortunately, this sparse allocation scheme allows one to do
graphics with less than a full screen worth of bit memory.  In fact,
the price for a full screen worth of bit memory is rather ridiculous,
and serves to make the terminal overpriced as a simple graphics display.

The color 4027 has more going for it.  It uses a very good color monitor.
It is organized in similar fashions to the 4025 in general.  I would recommend
that anyone who is looking for a terminal to do color information presentations
examine this as a cost effective device.  However, be aware you should probably
use it a display only in line with the previous warnings about commands getting
garbled during user type-in.

31 December 1978, CBF
25 April 1979, CBF updated.

	Teleray 1061

Status:	:TCTYP T1061 (+%TPMTA if you have the Meta key in place of Home)
Users:	T1062-FANS@MIT-MC
Price:  $1095 quantity 1-5, $1050 5-9, $1000 10-25.
Screen: 24 x 80, P4 (white) phosphor, grey background
Chars:  7 x 9 in an 8 x 12 field.
Keybrd:	Typewriter paired, detached, N-key rollover.  The tactile feel and
	layout could both be much better.  There is now a Meta key available.
Speeds: 50,75,110,134.5,150,300,600,1200,1800,2000,2400,3600,4800,7200,9600
Has:    Cursor, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine, DelLine,
        Standout?
Lacks:  Overstrike
Misfeatures:
        The standout features (inverse video, blinking, half intensity,
        underlining) are useless to any system, since the start of the standout
        feature (called "visuals") takes up a character position and causes
        a blank to appear on the screen.  There is no way around this.
	There is supposed to be a newer similar modle for somewhat more money
	that does not have this misfeature
	Standard firmware will fail to scan the keyboard during extended
	insert/delete line or scrolling operations.  You can order the "SIPB"
	or "Arpa" PROMs for $100 which fixes this, but slows down these operations
	somewhat.  Timing requirements with SIPB PROMS are apx.
	60 milliseconds to clear whole screen, and 2.5 milliseconds per line
	moved for line insert or delete.

This is one of the most cost-effective, low risk terminal that posses all the
necessary features.

The Meta key replaces the home key (beneath the bottom row of the keyboard to
the right) and operates like to shift key to set the 8th (or parity) bit.

Beware, if you're system ever randomly lets control characters back to the
terminal.  If the terminal recieves a ^R it will turn on the printer port.
The problem with this is whether there is a printer there or not, if the
printer is set to slower baud rate than the line, the terminal will place
characters on the screen only as fast as it can send them to the printer
port, thus totally messing up screen output.  The SIPB PROMs read disable
the ^R command.  Teleray has said they might make the disablement settable
from one of the DIP switches in the back, but they have not done this to
my knowledge.

There is supposed to be a new model which fixes the standout mode problem,
also have provision for multiple pages of memory, alternate character sets
and APL.  I have not yet seen this model or any documentation.

Note for ITS usage the auto newline switch (switch 5) should be in the OFF
position.

31 December 1978, CBF
22 February 1979, CBF
11 March 1979, CBF
30 September 1979, CBF
 3 February 1980, CBF

	Tele-Video Inc. 912 and 920

Status:	Upward compatible with 3A
Users:	Mike Powell (csvax.Powell@Berkeley)
Price:	$840 qty 1 for 912, $940 for 920. Qty 10 discount about $50.
Screen:	80*24
Chars:	12 x 10, underlining does not overlap charactes.
Keybrd: Model 912B and 920B: bit paired layout, no rollover, numeric pad, too
	many keys.  By all accounts one of the worst tactile feels on the
	market.  920 has an extra row of function keys that 912 doesn't have
	for an extra $100.  There are now models 912C and 920C which have
	typewriter paired layout for additional $75.  The feel is still no
	better though.
Speeds:	75..19200. Insert line said to not be able to handle 9600.
Has:    Cursor, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine, DelLine,
	Standout.
Lacks:	Overstrike, except it can underline.
Misfeatures:
	Standout modes take up a blank space to store the mode change,
	making them almost useless. Cannot underline and inverse video
	the same char, turning one on turns the other off. Other combinations
	of the 4 seem to be possible. Backtab key to left of ctrl, I
	kept hitting backtab D instead of ctrl D, but it didn't transmit
	anything.
Comments:
	Insert line requires 33 milliseconds of padding per line moved!
	Comes standard with a switch for 50/60 hz.
	No fan.  I saw a prototype, rs232 cable in back
	was at strange angle making it hard if not impossible to plug in.

Manufacturer address:
	TeleVideo, Inc.
	3190 Coronado Drive
	Santa Clara, CA 95051
	(408) 246-5428.

Most of the above is from Mark Horton (csvax.Mark@Berkeley).  The following
is from Dan Halbert (csvax.Halbert@Berkeley) who saw one somewhat latter:

     We were quoted ~$745 in qty. 10.
     Has underline, reverse video, blinking, half-bright.
     Has ins/del line/char
     When an insert or delete line is done, the screen is blanked for a
long time (maybe 1/4 - 1/2 second).  This is apprently so you don7t see
glitches.
     The mode changing leaves a blank space (e.g. there is a space before
anything that is underlined).  This is like the Teleray 1061 bug.
     The keyboard is BY FAR the worst I have ever tried to use.  It has a
sort of light touch, and the keys are crowded together slightly, it seems,
so fast slightly sloppy touch typing makes for extraneous characters as
your fingers slide over the keys.  Apparently the problem is that each key
makes contact at too short a travel, though the entire key travel is
reasonable.  It does not have n-key rollover, and there is no clicker.
Other people who were not touch typists tried it, and found it bad, but
usable.  Surprisingly, the keyboard feels OK when the terminal is off,
though the keys do wiggle.
     The inside looks OK, and fairly clean, as far as I can tell.  There
is a space for an alternate character-set ROM.
     If this terminal didn't have such an awful keyboard, it would be fine
as a cheap featureful terminal.  Things like screen blanking I can live with.

22 February 1979
11 March 1979

	TVI-950	Televideo model 950

Status:	Not upward compatible with tvi 912, but upward compatible with
	adm3a (at least at Berkeley).  Termcap descriptions exist.
Users:	ihuxi!ihuxg!grg@ucb, ucsbcgl!eggert@ucb, cory.probst@ucb
Price:	About $1000.
Screen:	looks very much like vt100.  white phosphor, good display
Chars:	big - don't have it in front of me now but about 10x14.
Keybrd: Same awful feel as other TVIs.  Layout is typewriter.
	Detachable, but cord is compatible with telephone handset
	cord, not stereo phone plug.  Typeamatic on all keys.
	Lots and lots of keys around the edges.  Numeric pad.
Speeds:	Up to 9600 baud.
Has:	All but overstrike.  Standout mode has "magic cookie" braindamage,
	like other tvis and telerays and adds.  Has all major forms
	of standout (half bright, inverse, blink, underline, blank).
Misfeatures:  Worst misfeature is the "edit group" of keys, which includes
	backspace, tab, arrow keys, home, print, send, backtab, clear screen,
	insert/delete line/char.  As a group, these either work in local or
	transmit their codes (escape sequence settable).  Alas, if you want
	a tab and backspace key that transmit ^I and ^H, you give up having
	your print, send, and arrow keys work in local.  If you have more
	than one page of memory (1, 2, or 4 are possible) you need the arrow
	keys to move back to previous pages.  It might be possible to program
	around this with software.

	The other misfeature is that when you change page size, the screen
	(and memory) are cleared.  Since cursor addressing is memory relative,
	and vi uses scrolling, you have to set the page size to 24 lines for
	vi to work, and go back to whatever mode you like outside vi.
	It would be nice to have your context left there, like on the concept.

There appears to be NO padding needed at all, even at 9600 baud.  This is
true even if you turn off the xon-xoff handshaking.

The manual is so full of typos and errors it's pretty hard to figure anything
out from it, as of 6/81.

It has a "user line" (25th line) that you can feed any message you want into,
so we can run the h19sys program on it.  But there are misfeatures.  It just
stores up to 80 bytes in the line - escape, tab, etc will display as
control characters instead of doing what they should.  Also, if you have the
user line displayed instead of the "status line" (showing the modes,
cursor position, etc) when you go into setup mode (like the vt100)
you go blind, not being able to see what you're doing.

I (Mark Horton) don't own one, but I borrowed it for a week to bring
up the termcap description in June of 1981.

Given a choice between a tvi and an h19 at the same price, I would choose
the h19.  The h19 is, however, up to $300 cheaper.

Visual Technology Inc.	Visual 200

Status:	Supported by :TCTYP VT52 +%TOLID and :CRTSTY VIS200
Users:	csvax.ucsfcgl!cmevax!rusty@berkeley
Price:	Suggested list is $1195.  Some distributors may offer it
	at $950.
Screen:	24x80
Chars:	7x9
Keybrd: ASCII layout.  Detachable.  N-key rollover.  Typeamatic.
	Feel is not very good.
Speeds:	110, 200, 300, 1200, 2400, 4800, 9600, 19200; no split speeds
Has:	Random, Address, Tabs, CLEOL, CLEOS, InsChar, DelChar,
	InsLine, DelLine, Standout
Lacks:	Overwrite
Misfeatures:	Beeps when character typed in insert character mode.
		CAPS ONLY turns ~ into ^, etc.

The cursor is a non-blinking reverse video block, which is poor.
The beeping in insert character mode is very annoying.  Has a 256
character input buffer.  Sends ^S^Q when it fills.  Seems to
require no padding at 9600 bps.  May not listen to keyboard when
it gets busy.

EAK 14 January 1980

The whole screen can be put in reverse video by a switch in the back.
When in this mode using half-bright (all you get) for standout seems
fairly reasonable.  The terminal can emulate the usual set: adm3a,
vt52, haz1500, and one I can't think of now.

On the sample I saw, the parity switches in the back did not work
properly - if the port happened to generate the wrong parity it refuses
to accept it, even when the switch is set to ignore parity!  (Our
dz's worked OK but dh's didn't).

MRH 23 July 1980

        DEC Video Terminal (models VT50, VT50H, VT52, VT55, VT61, VT100, VT132)

See individual entries.  "VT" is a generic name which causes CRTSTY to
figure out which model it is.

        DEC VT-50

Status: Supported by ":TCTYP VT50 PADTAB 1" and ":CRTSTY VT50".
Users:  ?
Price:  $1250 list, $1K or less in quantity or through dealer
Screen: 12 x 80, P4 (white) phosphor, grey background
Chars:  7 x 7, no descenders, no lower case
Keybrd: Very good.  Has audible clicker.
Speeds: (75,150,300)(110,600,1200,2400,4800,9600) for split speeds pick
        transmitting speeds from left list, receiving speeds from the
        right list.  Above based on VT-50H manual, VT50 MIGHT be different.
Has:    Random, Tabs, CLEOL, CLEOS
Lacks:  Addr, InsChar, DelChar, InsLine, DelLine, Standout, Overstrike
Misfeatures:    Small screen size and lack of lower case.

        DEC VT-50H

Status: Supported by ":TCTYP VT50 PADTAB 3" and ":CRTSTY VT50H".
Users:  ?
Price:  probably $1400 list, usually less in quantity or through dealer
Screen: 12 x 80, P4 (white) phosphor, grey background
Chars:  7 x 7, no descenders, no lower case
Keybrd: Very good.  Has audible clicker.
Speeds: (75,150,300)(110,600,1200,2400,4800,9600) for split speeds pick
        transmitting speeds from left list, receiving speeds from the
        right list.
Has:    Random, Tabs, CLEOL, CLEOS
Lacks:  InsChar, DelChar, InsLine, DelLine, Standout, Overstrike
Misfeatures:    Small screen size and lack of lower case.

        DEC VT-52

Status: Supported by ":TCTYP VT52" and ":CRTSTY VT52".
Users:  everyone on the 8th & 9th floors of 545 Tech Sq.
Price:  $2195 list, down to $1250 quantity 100, average $1750 through dealers
        $1500 for anyone in "packs" of 4.
Screen: 24 x 80, P4 (white) phosphor, grey background
Chars:  7 x 7, no descenders
Keybrd: Very good.  Has audible clicker.
Speeds: (75,150,300)(110,600,1200,2400,4800,9600) for split speeds pick
        transmitting speeds from left list, receiving speeds from the
        right list.
Has:    Random, Addr, Tabs, CLEOL, CLEOS
Lacks:  InsChar, DelChar, InsLine, DelLine, Standout, Overstrike
Misfeatures:    Direct Cursor Adressing at 960cps loses

The main local terminal for ML and MC, this is understood by
ITS quite well.  The only reason to use CRTSTY with this is to take
advantage of the alternate keypad, such that the blank colored keys
become META/TOP/CTRL prefixes and so forth.  If there are any good
suggestions for the numeric keys, they can be implemented.

        DEC VT-55

Status: Supported by ":TCTYP VT52" and ":CRTSTY VT52".
Users:  ?
Price:  $2995
Screen: 24 x 80, P4 (white) phosphor, grey background
Chars:  7 x 7, no descenders, no lower case
Keybrd: Very good.  Has audible clicker.
Speeds: ...,9600. supports certain split speeds.
Has:    Random, Addr, Tabs, CLEOL, CLEOS
Lacks:  InsChar, DelChar, InsLine, DelLine, Standout, Overstrike
Misfeatures:    No lower case.

This is supposedly a "graphics" terminal.  That means it allows one
to draw 2 "curves" horizontally across the screen.  I.e. for each
horizontal position on the screen, the user has the capability of
turning on up to 2 points randomly in the vertical plane.

        DEC VT-61

Status: Supported by ":TCTYP VT52".
Users:  ?
Price:  $3300
Screen: 24 x 80, P4 (white) phosphor, grey background
Chars:  7 x 8, descenders
Keybrd: Very good.  Has audible clicker.
Speeds: ?
Has:    Random, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine, DelLine
Lacks:  Standout, Overstrike
Misfeatures:    Too many features.  It has been reliably reported to send
                ^S^Q sequences due to falling behind when run at 4800 baud
                or maybe even less.

ITS does not know its line insertion and deletion codes. CRTSTY could
be made to know them very quickly if anyone wants it to.  Line insertion
and deletion come in flavors that ripple up or down, but ITS only knows
how to use down. Other interesting features like a readable checksum register,
A few controllable LED indicators on the side, word wrapping mode and
a host of other semi-useless features.

        DEC VT-100

Status: Supported by CRTSTY VT100; also emulates VT52
Users:	Innumerable, about100,000 per year are being manufactured by DEC.
Price:	~$2100 list, MIT used to pay $1230.  Dealers might typically sell it
	for $1600 if it weren't in such tight supply.  $270 "advanced video
	option" provides enough memory for 24 lines of 132 chars, more screen
        enhancement modes and place to mount extra character sets.
Screen: 24x80 or 14x132 software selectable. 24x132 optional. 12 inch diagonal,
        (8x4.5 inch active) P4 phospher.  Composite video input and output.
Chars:  7x9 with descendsers.  80 column mode very readable, 132 somewhat.
Keybrd: Very similar to office Selectric layout.  Detachable.
        Control and delete keys are distant because of this.
        Keytops same as VT52/LA36; user can enable and disable clicker, which
        is electronically generated rather than mechanically like VT52.
Speeds: 50,75,110,134.5,150,200,300,600,1200,1800,2000,2400,3600,4800,9600,
        19200 in any combination of transmit and recieve speeds.  Note terminal
        probably cannot keep up at 19200 without using DEC's losing ^S^Q
        protocol, and cannot keep up at many speeds if one uses smooth scroll.
Has:    Random, Addr, Tabs, CLEOL, CLEOS, Standout; Does not have InsLine or
        DelLine but they can be simulated by scrolling the scrolling region.
Lacks:  InsChar, DelChar, OverStrike.
Misfeatures:
        Many attributes can be set from the keyboard but not from the computer,
        most unfortunately the ^S/^Q switch can only be set from keyboard and
        its state cannot be read from the computer.
Features:
        132 columns (14 lines of 132 columns standard, 24 lines optional $270).
        Smooth scrolling by raster line (can slow down terminal at high speeds
        (ie. 4800 baud or greater) if system doesn't support ^S^Q protocal this
        can cause lost characters).
        Mode setting using display and keyboard; modes can optionally be saved
        in non-volatile memory.
        Mode to select pound sign substitute for number sign (U.K. ASCII).
        Additional character sets available with advanced video option.  User
        can presumably create own character sets in PROM, but note should beware
        that the entire matrix is not availble, if you want to do graphics.
        4 Software controllable LED's on keyboard.

This is the VT-52 replacement.  There is a VT52 compatibility mode.  This
is the only 132 column terminal for less than $4000.  A VT-100 with an
lsi-11 is called a PDT-110 and costs about $3900, but does not use normal
LSI-11 backplane.  There is now a VT-103 which is a VT-100 with a real
Q-bus backplane for $2995.  Note that price does not include the LSI-11, just
the backplane and power supply.  There was an outfit doing this prior to
DEC's announcement of the VT-103 and charging $2,395 for it, contact:
Can/Am Transduction Inc; 1461-A Franklin Ave; Tustin, CA 92680 (714) 838-4742.

There will be a VT-132 coming out around March 1979 which will have line/char
insert/delete.  This terminal will be aimed at the "forms-filling" market
(primarily intended for use with non-DEC mainframes, although the Trax system
might use it).  Priced about $300 more than the VT-100.

Note, the VT-105 is a fraud.  It has VT-55 type graphics.

The VT-100 has sparked many many imitators.  Datamedia, Micro-term,
Plessly, DataGraphix are a few companies that should be looked at before
you buy the DEC version.  Due to the continued short supply of VT-100's
the imitators may not be more than $100 or $200 off of DEC's price,
however most seem to offer the features of the $270 advanced video option
standard within their price.  Some also offer a printer port option

CBF 6 July 1978
Moon 10 August 1978
CBF 20 October 1978
CBF 31 December 1978

        DEC VT-132

Status:	:CRTSTY VT132
Users:	gmp@MIT-Multics
Price:	MIT $1550, list probably around $2500 or whatever market wil bear
Screen: 24x80 or 24x132 software selectable. 12 inch diagonal,
        (8x4.5 inch active) P4 phospher.  Composite video input and output.
Chars:  7x9 with descendsers.  80 column mode very readable, 132 somewhat.
Keybrd:	Detached, typewriter paired layout, user enabled clicker,
	2 key rollover.
Speeds: 50,75,110,134.5,150,200,300,600,1200,1800,2000,2400,3600,4800,9600,
        19200 in any combination of transmit and recieve speeds.  Note terminal
        cannot seem to put normal characters on the screen at 9600 baud without
	50% padding.
Has:    Random, Addr, Tabs, CLEOL, CLEOS, InsChar, DelChar, InsLine, DelLine,
	Standout.
Lacks:  OverStrike.
Misfeatures:
	Current models have a couple of firmware bugs.  Insert char does not seem
	to take effect in the first 4 columns when in 132 column mode.  The
	function codes for the commands which the VT132 implemented which the
	VT100 did not implement have all been implemented with their meanings
	reverse of the ANSI standard.  This is to be fixed in future models.
	The insert mode LED which is documented to light in insert mode does not.

	The terminal is grossly slow.  Equivalent functions seem to take an
	average twice as long on the VT132 as the VT100.  This includes simple
	displayable graphic characters.  The VT100 can generally keep up at
	9600 baud, the VT132 cannot, 4800 baud seems the best it can do.
	The insert and delete line functions take longer to execute than the
	method of simulating them via scroll region manipulation that one must
	do for the VT100.
Features:
        132 columns.
        Smooth scrolling by raster line (can slow down terminal at high speeds
        (ie. 4800 baud or greater) if system doesn't support ^S^Q protocal this
        can cause lost characters).
        Mode setting using display and keyboard; modes can optionally be saved
        in non-volatile memory.
        Mode to select pound sign substitute for number sign (U.K. ASCII).
	Additional character sets available.  User can presumably create own
	character sets in PROM, but note should beware that the entire matrix is
	not availble, if you want to do graphics.  4 Software controllable LED's
	on keyboard.

22 February 1979
15 April 1980 CBF

Video Terminal Technology VT-4800 (not DEC!)

 This is a transcript of a summary that I made after seeing a VT-4800
first-hand.  Maybe later I'll fix it up a little, but not much.
        -- KLH
Well, had a chance to look over a VT-4800 today.  Basically my
feeling is that the lack of char/line ins/del is quite deadly to
any hopes of using it, particularly with 48 lines.
  It seemed clear that these functions don't exist at all.  The
salesman said that one customer was doing that by adding an 8080 or
something; it does have a 800 Khz parallel input port with whch I
assume you can hook up your favorite controller.
   Serial I/O is limited to 9600 baud.  It's not clear why 19200
isn't supported, since he claims no pads are required even at the
800 Khz rate.  Anyway, the model he brought was fixed at 4800 because
the baud selector switch hadn't been wired up yet, and even then there
seemed to e some problem with its timing, since 4800 from the IO-11
didn't work very well; lots of garbage on the screen.  Perhaps the
clock got out of adjustment or smething (crystal, 0.5% error).
  So we were limited mostly to local-mode stuff.  Other things: It
has video invert and lowercase but both ma be options; not sure.
(by invert I mean single chars - but no blinking, etc).
  It has no CLEOF.  Cursor addressing is 4 bytes; all control functions
are strappable to any control character (except ^G,^M,^J fixed).  It
doesn't use escape sequence.  ie mos stuff directly in hardware.  although
it has M6800 processor, I guess it doesn't do much.  If you woner about
the 4-byte addressing, well it has set-X and set-Y functions which take next
byte as value.  Other functions set video normal/inverse, cursor
left and right, up and down (scroll both ays), home, clear, cleol, total-reset.
It has provision for "pages" with functions to jump to page 0, show
next page, previous page.  Needs 4K memory per page, up to 16K.
  The keybaord is pretty good.  N-key rollover, good feel, auto-repeat,
lots of blank keys for progammed use.  It is possible to get a metizer
set up for the 8th bit; it seemed as if using CTRL and SHIFT together
might be a pssible way of doing it, although I'm not sure I and salesman
understood the other perfectly.
   The display is bit mapped and graphics hardware is supposed to be
available, 2-plane so no interference with characters.  These by the way are
5x7 which is how they fit 48 lines in, as oppoed to 7x9 etc; the monitor is
conventional.  Graphics will ave hardware vectors, 256x256 resolution.
  There are altogether too many jumpered options which would be nicer
to have as switches such as oe finds on the ADM-3A.  eg parity handling.
But I suppose once you put your soldering iron away there won't be much
need to change.
   Costs: 1195/kit to individual.  they may not sell kits in future though.
in groups of 5, $995 fully assembled and $895 kit.  Over 25, he didn't
know; something lower.  No educational institution discounts.  2 boards,
one for main stuff and the other is part of the kbd.

   Not really impressive I would say; 48 lines and decent keyboard
are about the only things it has going for it over other terminals.
Now if it had line ins/del I would perk up.